/*******************************************************************************
 * Licensed Materials - Property of IBM 
 * Copyright IBM Corp. 2010, 2011. All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************************************/
dojo.provide("rmpw.diagrams.layout.client.EdgeList");

dojo.require("rmpw.diagrams.layout.client.util.ArrayList");

$EdgeList = function(this$static){
		  $ArrayList(this$static);
		  return this$static;
		};

		$getEdge = function(this$static, index){
		  return this$static.array[index];
		};

		$isCompletelyFlagged = function(this$static){
		  var i;
		  for (i = 0; i < this$static.size; ++i) {
		    if (!this$static.array[i].flag)
		      return false;
		  }
		  return true;
		};

		$resetFlags = function(this$static, resetTree){
		  var i;
		  for (i = 0; i < this$static.size; ++i) {
			  this$static.array[i].flag = false;
		    if (resetTree)
		    	this$static.array[i].tree = false;
		  }
		};

		$setFlags = function(this$static, value){
		  var i;
		  for (i = 0; i < this$static.size; ++i) {
			  this$static.array[i].flag = value;
		  }
		};

		getClass_99 = function(){
		  return Lorg_eclipse_draw2d_graph_EdgeList_2_classLit;
		};

		EdgeList = function(){
		};

		_ = EdgeList.prototype = new ArrayList();
		_.getClass$ = getClass_99;
		_.typeId$ = 75;