/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("rmpw.widgets.Events");

rmpw.widgets.Events.topics = {
	
	getTopic: function(topic, subTopic) {
		return topic + ":" + subTopic;
	},
	
	/*
	 * These events are published by various Diagram widgets/classes
	 */ 
	
	ZOOM: "rmpw.widgets.event.topic.001",
	
	ZONE_SELECT: "rmpw.widgets.event.topic.002",
	
	ZONE_DESELECT: "rmpw.widgets.event.topic.003",
	
	LINE_COLOR: "rmpw.widgets.event.topic.004",
	
	LINE_WIDTH: "rmpw.widgets.event.topic.005",
	
	LINE_STYLE: "rmpw.widgets.event.topic.006",
	
	UNDO: "rmpw.widgets.event.topic.007",
	
	DIAGRAM_LOADED: "rmpw.widgets.event.topic.008",
	
	COMMIT_TEXT: "rmpw.widgets.event.topic.009",
	
	TOOL_SELECT: "rmpw.widgets.event.topic.010",
	
	FILL_COLOR: "rmpw.widgets.event.topic.010",
	
	SHAPE_SELECTION: "rmpw.widgets.event.topic.011",
	
	TEXT_COLOR: "rmpw.widgets.event.topic.012"
};