/*******************************************************************************
 * Licensed Materials - Property of IBM 
 * Copyright IBM Corp. 2010, 2011. All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************************************/
dojo.provide("rmpw.diagrams.layout.client.Node");

dojo.require("rmpw.diagrams.layout.client.EdgeList");

$$init_26 = function(this$static){
	  this$static.workingData = initDim(_3Ljava_lang_Object_2_classLit, 114, 0, 3, 0);
	  this$static.workingInts = initDim(createForArray('', '[I'), 110, -1, 4, 1);
	  this$static.incoming = $EdgeList(new EdgeList());
	  this$static.outgoing = $EdgeList(new EdgeList());
	};

$Node = function(this$static, data){
	  $$init_26(this$static);
	  this$static.data = data;
	  return this$static;
	};

	$Node_0 = function(this$static){
	  $$init_26(this$static);
	  this$static.data = null;
	  return this$static;
	};

	$getOffsetIncoming = function(this$static){
	  if (this$static.incomingOffset == -1)
	    return ~~(this$static.width / 2);
	  return this$static.incomingOffset;
	};

	$getOffsetOutgoing = function(this$static){
	  if (this$static.outgoingOffset == -1)
	    return ~~(this$static.width / 2);
	  return this$static.outgoingOffset;
	};

	getClass_111 = function(){
	  return Lorg_eclipse_draw2d_graph_Node_2_classLit;
	};

	toString_22 = function(){
	  return 'N(' + this.data + ')';
	};

	Node = function(){
	};

	_ = Node.prototype = new Object_0();
	_.getClass$ = getClass_111;
	_.toString$ = toString_22;
	_.typeId$ = 81;
	_.data = null;
	_.flag = false;
	_.height = 40;
	_.incomingOffset = -1;
	_.index = 0;
	_.left = null;
	_.outgoingOffset = -1;
	_.padding = null;
	_.rank = 0;
	_.right = null;
	_.sortValue = 0;
	_.width = 50;
	_.x = 0;
	_.y = 0;
	$Node$1 = function(this$static, this$0){
	  this$static.this$0 = this$0;
	  this$static.list = this$static.this$0.outgoing;
	  return this$static;
	};

	$hasNext_1 = function(this$static){
	  if (!this$static.list)
	    return false;
	  if (this$static.offset < this$static.list.size)
	    return true;
	  if (this$static.list == this$static.this$0.outgoing) {
	    this$static.list = this$static.this$0.incoming;
	    this$static.offset = 0;
	  }
	  return this$static.offset < this$static.list.size;
	};

	$next_4 = function(this$static){
	  var edge;
	  edge = $getEdge(this$static.list, this$static.offset++);
	  if (this$static.offset < this$static.list.size)
	    return $opposite(edge, this$static.this$0);
	  if (this$static.list == this$static.this$0.outgoing) {
	    this$static.list = this$static.this$0.incoming;
	    this$static.offset = 0;
	  }
	   else 
	    this$static.list = null;
	  return $opposite(edge, this$static.this$0);
	};

	getClass_107 = function(){
	  return Lorg_eclipse_draw2d_graph_Node$1_2_classLit;
	};

	hasNext_6 = function(){
	  return $hasNext_1(this);
	};

	next_7 = function(){
	  return $next_4(this);
	};

	remove_25 = function(){
	  throw 'Remove not supported';
	};

	Node$1 = function(){
	};

	_ = Node$1.prototype = new Object_0();
	_.getClass$ = getClass_107;
	_.hasNext = hasNext_6;
	_.next = next_7;
	_.remove = remove_25;
	_.typeId$ = 0;
	_.offset = 0;
	_.this$0 = null;