/*******************************************************************************
 * Licensed Materials - Property of IBM 
 * Copyright IBM Corp. 2010, 2013. All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************************************/
dojo.provide("rmpw.diagrams.layout.client.NodeList");

dojo.require("rmpw.diagrams.layout.client.util.ArrayList");

	$NodeList = function(this$static){
		$ArrayList(this$static);
		return this$static;
	};
	
	$NodeList_0 = function(this$static, list){
		$ArrayList_1(this$static, list);
		return this$static;
	};

	$adjustRank_0 = function(this$static, delta){
	  var i;
	  if (delta == 0)
	    return;
	  for (i = 0; i < this$static.size; ++i) {
		  this$static.array[i].rank += delta;
	  }
	};

	$getNode = function(this$static, index){
		return this$static.array[index];
	};

	$normalizeRanks = function(this$static){
	  var i, minRank;
	  minRank = 2147483647;
	  for (i = 0; i < this$static.size; ++i) {
		  minRank = min_0(minRank, this$static.array[i].rank);
	  }
	  $adjustRank_0(this$static, -minRank);
	};

	$resetFlags_0 = function(this$static){
	  var i;
	  for (i = 0; i < this$static.size; ++i) {
		  this$static.array[i].flag = false;
	  }
	};

	getClass_109 = function(){
	  return Lorg_eclipse_draw2d_graph_NodeList_2_classLit;
	};

	NodeList = function(){
	};

	_ = NodeList.prototype = new ArrayList();
	_.getClass$ = getClass_109;
	_.typeId$ = 82;