/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("rmpw.panner.OutlineTracker");

dojo.require("rmpw.panner.PerimeterTracker");

dojo.declare("rmpw.panner.OutlineTracker", rmpw.panner.PerimeterTracker, {
	
	// properties
	inset: 2,
	
	createMarker: function(item) {
		return new rmpw.panner.OutlineTracker._Marker({title: item.label});
	}
});

dojo.declare("rmpw.panner.OutlineTracker._Marker", dijit._Widget, {
	
	postCreate: function() {
		this.domNode.style.width = "3px";
		this.domNode.style.height = "3px";
		this.domNode.style.background = "#FFA500";
	}
});

})();