/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010, 2011.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("rmps.core.RootServices");

dojo.require("dojox.xml.DomParser");
dojo.require("jazz.client.xhr");
dojo.require("rmps.core.Document");


dojo.declare("rmps.core._RootServices", rmps.core.Document, {
	
	getError: function(namespace,name){
		return "Root Services document has no entry for: " + namespace + name;
	}
	
});

jazz.client.xhrGet({
	url: net.jazz.ajax._contextRoot + "/rootservices",
	handleAs: "text",
	load: function(response, ioArgs) {
		rmps.core.RootServices = new rmps.core._RootServices(dojox.xml.DomParser.parse(response));
	},
	sync: true
});

})();