/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("rmps.ui.SimpleButton");

dojo.require("dijit._Widget");

dojo.declare("rmps.ui.SimpleButton", dijit._Widget, {
	
	label: null,
	onClick: null,
	
	buildRendering: function() {
		this.domNode = dojo.create("button");
		this.domNode.appendChild(dojo.doc.createTextNode(this.label));
	},
	
	postCreate: function() {
		if (this.onClick) {
			this.connect(this.domNode, "onclick", this.onClick);
		}
	},
	
	setEnabled: function(enabled) {
		this.domNode.disabled = !enabled;
	}
});

})();