/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("rmpw.panner.TransparentLayer");

dojo.require("rmpw.panner.Layer");

dojo.declare("rmpw.panner.TransparentLayer", rmpw.panner.Layer, {
		
	buildRendering: function() {
		this.inherited(arguments);
		this.domNode.style.height = "0px";
	},
	
	resize: function(size) {
		if (size && size.h) {
			this._height = size.h;
		}
		if (this.constrainWidth) {
			if (size && size.w) {
				this.containerNode.style.width = size.w + "px";
				this._width = size.w;
			}
		} else {
			this._width = this.domNode.offsetWidth;
		}
	}
});

})();