/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2012.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("rmpw.diagrams.edit.actionBindings.AlphaNumericKeyStroke");

dojo.require("rmpw.diagrams.edit.actionBindings.ActionBinding");

/**
 * Binds a key stroke to an action
 * 
 * @author Steve Shaw
 */
dojo.declare("rmpw.diagrams.edit.actionBindings.AlphaNumericKeyStroke", rmpw.diagrams.edit.actionBindings.ActionBinding, {
	
	acceptKeyStroke: function(keyStroke) {
		if (dojo.isString(keyStroke.charOrCode) && !keyStroke.ctrlKey && !keyStroke.metaKey && !keyStroke.altKey) {
			return true;
		}
		
		return false;
	},

	isRunAction: function() {
		return true;
	}
	
});
