/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("rmpw.diagrams.edit.actions.CommandWrapper");

dojo.require("rmpw.common.command.Command");

dojo.declare("rmpw.diagrams.edit.actions.CommandWrapper", rmpw.common.command.Command, {
	
	constructor: function(options, action) {
		this._action = action;
	},
	
	execute: function(commandStack, args) {
		this._action.run(args);
		return true;
	}
});
