/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("rmpw.diagrams.edit.actions.Navigate");

dojo.require("rmpw.diagrams.edit.actions.Action");

/**
 * 
 * @author Steve Shaw
 * 
 * Abstract action for navigation
 */
dojo.declare("rmpw.diagrams.edit.actions.Navigate", rmpw.diagrams.edit.actions.Action, {
	
	findFocus: function(args) {
		var ss = args.viewer.policies.selectionScope;
		var fs = args.viewer.policies.focusScope;
		var target = fs.getFocus();
		if (!target) {
			target = ss.getPrimarySelection();
			if (!target) {
				return null;
			}
		}
		
		return target;
	}
});