/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/

dojo.provide("rmps.web.comment.sketch.commands.SketchCommandSet");

dojo.require("rmpw.common.command.ElementCommandSet");
dojo.require("rmpw.common.command.DeleteElement");

/**
 * @author Steve Shaw
 */
dojo.declare("rmps.web.comment.sketch.commands.SketchCommandSet", rmpw.common.command.ElementCommandSet, {
	typeId: "Sketch",
	
	configureCommands: function() {
		var command;
		
		command = new rmpw.common.command.DeleteElement({
			ownerChildrenProperty: "g"
		});
		this.add(command);
	}
});