/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010, 2011.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {

dojo.provide("rmps.web.comment.sketch.commands.shapes.TextArguments");

dojo.declare("rmps.web.comment.sketch.commands.shapes.TextArguments", null, {
	
	args: null,
	
	constructor: function( args ){
		this.args = args;
	},
	
	arguments: function(){ 
		
		if( this.args.fontSize == null ){
			this.args.fontSize = "12pt";
		}
		
		if( this.args.textColor == null ){
			this.args.textColor = "#DC143C";
		}
				
		if( this.args.fontFamily == null ){
			this.args.fontFamily = "sans-serif";
		}
				
		if( this.args.fontWeight == null ){
			this.args.fontWeight = "bold";
		}
		
		if (this.args.textOpacity == null) {
			this.args.textOpacity = 1;
		}
		
		if (this.args.textColor == null) {
			this.args.textColor = "0xFFFFFF";
		}
		
		if (this.args.textStroke == null) {
			this.args.textStroke = "0xFFFFFF";
		}
		
		if (this.args.textStrokeOpacity == null) {
			this.args.textStrokeOpacity = 0;
		}
		
		var data = {
			text: this.args.text,
			fontFamily: this.args.fontFamily,
			fontStyle: this.args.fontStyle,
			varient: this.args.varient,
			fontWeight: this.args.fontWeight,
			fontSize: this.args.fontSize,
			align: this.args.align,
			textOpacity: this.args.textOpacity,
			textColor: this.args.textColor,
			textStroke: this.args.textStroke,
			textStrokeOpacity: this.args.textStrokeOpacity
		};
		
		return data;	
	}
});

})();