/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009, 2013.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	// 0 - subject of parent comment
	replySubject: "RE: ${0}",
	
	// 0 - last updated date
	lastUpdated: "Last Updated: ${0}",
	
	// 0 - subject of comment to reply
	title_replyTo: "Reply to ${0}",
	
	// 0 - label of new comment context
	title_create: "Create a comment for ${0}",
	
	// 0 - subject of comment to edit
	title_edit: "Edit ${0}",
	
	title_comments: "Comments",
	
	// 0 - the state of the comments view
	state: "(${0})",
	
	// 0 - number of comments displayed after filtering
	// 1 - total number of comments
	state_commentsCount: "${0} of ${1}",
	state_loading: "Loading...",
	state_loadingError: "Loading Error", //!SERVICE
	state_filtering: "Filtering...",
	state_saving: "Saving...",
	state_savingError: "Saving Error", //!SERVICE
	
	// 0 - comment subject
	task_saveComment: "Saving comment '${0}'",
	
	// 0 - comment subject
	task_deleteComment: "Deleting comment '${0}'",
	
	showCommentsList: "Show Comments List",
	hideCommentsList: "Hide Comments List",
	
	overwriteComment: "Click OK to cancel the comment in progress and continue.",
	
	clearFilters: "Clear Filters",
	close: "Close",
	
	removeConfirm: "Deleting the comment will be permanent and cannot be undone. Click OK to continue.",
	confirmRefresh: "Refreshing will result in losing your changes. Click OK to continue.",
	
	error_delete_permission: "You do not have permission to delete comment '${0}'. Please contact your system administrator.", //!SERVICE
	
	error_delete_fail: "CRMPA0032E Unable to delete comment '${0}'.",
	'error_delete_fail.explanation': "A ${0} error was returned by the server.",
    'error_delete_fail.useraction': "Please contact your system administrator if the error persists.",
	
	error_create_permission: "You do not have permission to create comments. Please contact your system administrator.", //!SERVICE
	
	error_create_fail: "CRMPA0033E Unable to create comment '${0}'.",
	'error_create_fail.explanation': "A ${0} error was returned by the server.",
    'error_create_fail.useraction': "Please contact your system administrator if the error persists.",
	
	error_edit_permission: "You do not have permission to edit comment '${0}'. Please contact your system administrator.", //!SERVICE
	
	error_edit_fail: "Unable to edit comment '${0}'. Please contact your system administrator.", //!SERVICE
	error_precondition_failed: "A precondition for editing the comment was not met.", //!SERVICE
	
	error_load_comments: "CRMPA0034E The comments could not be loaded.",
	'error_load_comments.explanation': "An error occurred on the server while the comments were loading.",
    'error_load_comments.useraction': "If the problem persists, contact your system administrator."
})
