/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("dm.app.admin.core.AdminUtil");
dojo.require("rmps.core.util.IRmpsConstants");

dm.app.admin.core.AdminUtil = {
	
	ADMIN_PAGE: "dm.app.admin",
	
	STREAM_VIEWER_EDITOR: "streamEditorViewer",
	STREAM_EDITOR: "streamEditor",
	REQUEST_BASELINE_EDITOR: "requestBaselineEditor",
	BASELINE_STATUS_EDITOR: "baselineStatusEditor",
	SEARCH_QUERIES_LIST_EDITOR: "searchQueriesListEditor",
	
	getWelcomeUri: function() {
		return rmps.core.util.IRmpsConstants.ADMIN_BASIC_PREFIX + "welcome";
	}
};

})();


