/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009, 2013.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	buttonOk: "OK",
	buttonCancel: "Cancel",
	project: "Project Area:",
	explore: "Explorer",
	exploreToolTip: "Return to base of tree",
	
	edit: "Open...",
	remove: "Delete",
	addToClipboard: "Add to Pinboard",
	clipboard: "Pinboard",
	loading: "Loading...",
	
	deleteConfirmation: "Resource \"${0}\" will be permanently deleted. Proceed?",
	
	alternativeShowTrees: "or search for resources and add their trees to the Explorer",
	
	// Explorer toolbar items
	back : "Back",
	forward : "Forward",
	collapseAll: "Collapse All",
	expandAll: "Expand All",
	showPinnedOnly: "Show Only Pinned Elements",
	refresh : "Refresh",
	more: "More...",
	selectViewpoint: "Select Viewpoint",
	
	//Viewpoints context menu of full-page explorer
	createViewpoint: "Create Viewpoint",
	viewExistingViewpoints: "View Existing Viewpoints",
	removeViewpoint: "Show Default Viewpoint",
	
	// Explorer context menu items for More toolbar button
	settings : "Filters...",
	
	//Explorer tree node context menu items
	collapseContext: "Focus on Element",
	pin: "Pin Element Open",
	open : "Open",
	newRelationshipDiagram : "Relationship Diagram...",
	
	// Explorer user filters dialog
	filterDialogTitle : "Select Explorer Filters",
	filterDialogHelpMessage : "Project administrators can create custom filters for the Explorer view. If you require additional filters for a project, contact a project administrator.",
	filterDialogUnselectedTitle : "Disabled Filters",
	filterDialogSelectedTitle : "Enabled Filters",

	// Explorer hover text
	ellipsisHoverTitle: "Show to",
	showAll: "Show All",
	showAllNbr: "Show All ${0}",
	removeTree: "Remove Tree",
	unpinAll : "Unpin All",
	useChildQueries: "Identify Expandable Elements",
		
	//No trees to display message
	noTreesToDisplay: "There are no trees that can be displayed in this project",
		
	//Paging messages
	previous : "Previous",
	next : "Next",
		
	//Confirmation dialogs
	elementsAreNotDispayed : "At least one of the resources cannot be shown with current \"Model Viewpoint\", but it will be visible with \"Detailed Model Viewpoint\".\nDo you want to switch the sidebar explorer to \"Detailed Model Viewpoint\" ?",
	elementIsNotDisplayed : "The requested resource fragment cannot be shown with current \"Model Viewpoint\", but it will be visible with \"Detailed Model Viewpoint\".\nDo you want to switch the sidebar explorer to \"Detailed Model Viewpoint\" ?",
	elementIsFiltered : "The selected resource or element is not displayed in the Explorer because of one or more filters. Do you want to disable the filters?\nTo modify filters in the Explorer, click the drop-down arrow and click Filters.",
	elementNotFoundWithCurrentViewpoint: "The resource you requested cannot be shown with the current viewpoint. You can consider selecting other viewpoints in the viewpoint selector.",
	elementNotFoundWithCurrentViewpointDetails: "Viewpoint selector is located in the top toolbar of the sidebar explorer.",
	
	// Grid column names
	actions: "Actions",
	id: "ID",
	name: "Name",
	longname: 'Long Name',
	type: 'Type',
	modified: 'Modified',
	
	// 'Show attributes' option
	showAttributes: "Show Attributes",
	showAttributesTitle: "Add columns with additional details to the Explorer",
	showAttributesTitlePressed: "Remove columns with additional details from the Explorer"
})