/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("rmps.domains.diagrams.layout.RunServerLayout");

dojo.require("rmpw.diagrams.layout.ilog.ILogGraphConfigurator");

var gc = new rmpw.diagrams.layout.ilog.ILogGraphConfigurator();
var localArgs = dojox.json.ref.fromJson(layoutGraphJSON);
var inputGraph = gc.fromRawData(localArgs.graph);
var mootLayoutCallBack = function(inputGraph) { /* do nothing */ };

gc.runGraphLayoutAlgorithm(inputGraph, mootLayoutCallBack, localArgs);
var layoutGraphResult = dojox.json.ref.toJson(inputGraph.toRawData().jsonGraph);
