/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/

dojo.provide("rmps.graphics.models.RectangleHotspot");

dojo.declare("rmps.graphics.models.RectangleHotspot", null, {

	elementTypeID: "RectangleHotspot",

	zonedata: null,

	height: null,
	width: null,
	x: null,
	y: null,
	view: null,
	graph: null,

	getName: function() {
		return this.name;
	},
	
	constructor: function( parent, zonedata ){
	
		if( parent ){
			parent.addEntity( this );
		}
	
		this.zonedata = zonedata;
		
		this.eClass = this.elementTypeID;
		this.attribute = [];	
		this.entities = [];
	},
	
	addEntity: function( entity ){
		this.entities.push( entity );
	}
});