/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/

dojo.provide("rmps.graphics.models.Tile");

dojo.declare("rmps.graphics.models.Tile", null, {
	
	elementTypeID: "Tile",
	
	height: null,
	width: null,
	x: null,
	y: null,
	image: null,
	
	getName: function() {
	   return this.name;
	},
	 
	constructor: function(parent) {
	   if (parent) {
		   parent.addEntity(this);
	   }
	   
	   this.eClass = this.elementTypeID;
	   this.attribute = [];	
	   this.entities = [];
	},
	
	addEntity: function(entity) {
		this.entities.push(entity);
	}
});