/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("rmps.ui.properties.form.LabeledValue");

dojo.require("rmps.ui.properties.form.LabeledSection");

dojo.declare("rmps.ui.properties.form.LabeledValue", [rmps.ui.properties.form.LabeledSection], {
		
	// mixin properties
	"class": "rmps-ui-properties-form-labeledValue",
	label: null,
	value: "",
	isHtml: false,

	postCreate: function() {
		this.inherited(arguments);
		if (dojo.isIE < 8) {
			this.domNode.style.padding = "3px 4px 3px 3px";
		} else {
			this.domNode.style.padding = "3px 4px";
		}
		if (this.isHtml) {
			this.domNode.innerHTML = this.value;
		} else {
			this.domNode.appendChild(dojo.doc.createTextNode(this.value));
		}
	}
	
});