/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("rmps.ui.queryeditor.filters.IValueFilter");

dojo.require("rmps.ui.queryeditor.filters.IFilter");
dojo.require("rmps.ui.queryeditor.QueryConstants");

(function(){

dojo.declare("rmps.ui.queryeditor.filters.IValueFilter", rmps.ui.queryeditor.filters.IFilter, {
	
	_sign: rmps.ui.queryeditor.QueryConstants.PREDICATE_VALUE_CONDITION_SIGN_EQUAL,
	
	getValue: function() {
		console.debug("Value filter getValue method not implemented");
		return null;
	},

	setValue: function(value) {
		console.debug("Value filter setValue method not implemented");
	},

	getSign: function() {
		return this._sign;		
	},
	
	setSign: function(sign) {
		this._sign = sign;
	}
});

}());