/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011, 2014.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8

({
	// Section container
	labelClose: "Close",
	loadingText: "Loading...",
	
	// Add Condition menu section
	addCondition: "Add Condition",
	addConditionLabel: "Add Attribute Condition",
	addPropChainLabel: "Add Property Chain",
	addGroupLabel1: "Add ",
	addGroupLabel2: " Condition",
	addConditionHelpText1: "To add terms to the query, click the ",
	addConditionHelpText2: " button",
	
	emptySelectionLabel: "Click Edit button below to add items.",
	_editListButton: "Edit...",
	defaultItems: "Items",
	editDialogTitle: "Select ${items}",
	selectedTitle: "Selected ${items}",
	unselectedTitle: "Available ${items}",
	properties: "Properties",
	types: "Types",
	linkTypes: "Link Types",
	// Operator widget
	AND: "AND",
	OR: "OR",
	NOT: "NOT",
	labelAND: "All must match",
	labelOR: "Any can match",
	labelNOT: "None can match",
	
	// Properties widget
	labelIncoming: "Incoming",
	labelIncomingExact: "Incoming exact",
	labelOutgoing: "Outgoing",
	labelOutgoingExact: "Outgoing exact",
	
	// Properties value widget
	labelMatch: "matches",
	tooltipStringMenu: "* and ? are valid wildcards.",
	
	labelIsDate: "is",
	labelBeforeDate: "before",
	labelAfterDate: "after",
	labelBeforeIncludingDate: "before (including)",
	labelAfterIncludingDate: "after (including)",

	labelEqual: "equal to",
	labelLess: "less than",
	labelMore: "more than",
	labelLessOrEqual: "less or equal than",
	labelMoreOrEqual: "more or equal than",
	
	// Filter widgets
	labelStringFilter: "String Value:",
	labelIntegerFilter: "Integer Value:",
	labelBooleanFilter: "Boolean Value:",
	labelEnumerationFilter: "Enumeration Value:",
	labelUserFilter: "Users",
	labelResourcesFilter: "Resources",
	// Resources
	addResource: "Add...",
	removeResource: "Remove",
	// User
	labelAddUser: "Add User...",
	labelRemoveUser: "Remove",
	dialogTitleAddUsers: "Select Users",
	optionYearsAgo: "Years ago",
	optionHoursAgo: "Hours ago",
	optionMonthsAgo: "Months ago",
	optionDaysAgo: "Days ago",
	optionDaysFromNow: "Days from now",
	optionHoursFromNow: "Hours from now",
	optionMonthsFromNow: "Months from now",
	optionYearsFromNow: "Years from now",
	labelYesterday: "Yesterday",
	labelToday: "Today",
	labelTomorrow: "Tomorrow",
	
	// Types widget
	labelIs: "Is",
	labelIsExact: "Is exact",
	
	labelSorting: "Sorting",
	labelGrouping: "Grouping",
	labelSortingAndGrouping:  "Sorting and Grouping Options",
	labelSortingOptions: "Sorting Options",
	
	labelDescending: "Descending",
	labelAscending: "Ascending",

	// Links widget
	labelSource: "Source",
	labelTarget: "Target",
	
	// Validation errors
	valDurationPositiveInt: "Value of time period must be positive integer.",
	valNotAnInteger: "Value is not an integer.",
	valAtLeastOneNonContainer: "A query must have at least one non-container portlet.",
	valNoResourceSelected: "No resource selected.",
	valSomeResourceOfInvalidType: "Some of the resources are of an invalid type.",
	valEmptyStringValue: "Empty string in property value.",
	valNoUserSelected: "No users selected.",
	// 0 - Name of condition
	// 1 - Name of option
	valEmptyDataNotAllowed: "Empty data in ${0}::${1} is not allowed.",
	valNoAssociatedResourceFilter: "There is no associated resource filter on a property value condition.",
	valNoAssociatedValueFilter: "There is no associated value filter on a predicate value condition.",
	valWrongBooleanValue: "Wrong Boolean value selected",
	
	typeWarning: "The 'is type' option can be very time consuming. When possible, use the 'is exact type' option and select all the specializations of the type instead.", //!SERVICE
	
	resourceSelectionPrimaryTitle: "Resource",
	resourceSelectionSecondaryTitle: "Select a resource",
	
	labelTrue: "true",
	labelFalse: "false",
	loading: "Loading..."
})