/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011, 2013.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/

dojo.provide("rmps.domains.diagrams.render.RunRender");

dojo.require("rmps.domains.diagrams.layout.GraphConfigurator");
dojo.require("rmpw.diagrams.render.RenderRoot");
dojo.require("rmps.domains.diagrams.render.RenderReadStore");

dojo.withDoc(document, dojo.hitch(this, function() {
	var renderRoot = new rmpw.diagrams.render.RenderRoot({ 
		node: svgSurface,
		configuration: {
			allowAnimation: false,
			store: rmps.domains.diagrams.render.RenderReadStore,
			graphConfigurator: rmps.domains.diagrams.layout.GraphConfigurator
		}
	});

	var diagramStore = new rmps.domains.diagrams.render.RenderReadStore( renderRoot );
	diagramStore.fetch(); 
}));







