/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function(){
    dojo.provide("rmps.ui.sections.EditableSectionHeader");
   
    dojo.require("rmps.ui.sections.CollapsibleSectionHeader"); 
    dojo.require("rmps.ui.CollapsibleSection");
    dojo.require("rmps.ui.EditableCollapsibleSection");

    dojo.declare("rmps.ui.sections.EditableSectionHeader", rmps.ui.sections.CollapsibleSectionHeader, {
	    	
	    getSection:function(args, scope, table){
    		return new rmps.ui.EditableCollapsibleSection({
                primaryTitle: args.sectionTitle,
                secondaryTitle: args.secondarySectionTitle,
                editClickZone: args.editClickZone,
                uaKey: this.getUAKey()
            });
    	}
    });
    
})();
