/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("rmpw.jazz.theming");

dojo.require("rmpw.jazz.ui.internal.theming");

/*
 * PROVISIONAL: This API is considered provisional and may be changed or removed in the
 * future with minimal or no warning.
 * 
 * @since 0.7
 */

(function () {
	rmpw.jazz.theming = {
	
	initialize: function () {
		jazz.util.theming.jsDfd = new dojo.Deferred();
		rmpw.jazz.ui.internal.theming._loadThemingCSS();
		var dfd = rmpw.jazz.ui.internal.theming._loadThemingJS();
	
	},
	
	themeFileUrl: function(path){
		return net.jazz.ajax._contextRoot + "/_theming/themeFile/" + rmpw.jazz.ui.internal.theming._getPreviewOrCurrent() + "/" + path;
	}
};
})();
