/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/

dojo.provide("rmpw.diagrams.edit.tools.Commitable");

dojo.require("rmpw.common.policy.Policy");

/**
 * Policy for commiting changes - used typically in conjuction
 * with other policies that have capture feedback.
 * 
 * @author Steve Shaw
 */
dojo.declare("rmpw.diagrams.edit.tools.Commitable", rmpw.common.policy.Policy, {
	
	onCancel: function() {
		// call back for operation cancel
	},

	/*
	 * return true if commit was processed, or false otherwise
	 */
	onCommit: function() {
		// call back for operation commit
		return false;
	}
});