/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corporation 2012, 2014.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	"more": "Search for more...",
	"expandContext": "Select Global Configuration Context...",
	"expandContextDialogTitle": "Select a Global Configuration",
	"pleaseSelect": "Select",
	"contextTitle": "Configuration Management",
	"currentContext": "Local context: ${currentContextTitle}",
	"expandedContext": "Global context: ${expandedContextTitle}",
	"menuTitle": "Recent",
	"linkToWorkItemTitle": "Link to a Change Request...",
	"showLinkedWorkItemsTitle": "Show Linked Change Requests...",
	"createNewConfigurationSpace" : "Create a New Configuration Space",
	"manageConfigurations" : "Manage Configurations",
	"globalConfigurations" : "Global Configurations",
	"manageChangesets" : "Manage Change Sets",
	"newWorkspace" : "Workspace",
	"newSnapshot" : "Snapshot",
	"exploreConfigurations" : "Open Configuration Management",
	"openCurrentConfiguration" : "Edit '${configTitle}'",
	"failedToRetrieveRootVvcUri" : "The root Configuration Management application URI was not retrieved.",
	"noConfigurationSelected" : "Nothing is selected.",
	"showChangesets" : "Explore Change Sets...",
	"createChangeset" : "Create Change Set",
	"commitChangeset" : "Share Change Set",
	"renameChangeset" : "Edit Comment",
	"completeChangeset" : "Complete Change Set",
	"discardChangeset" : "Discard Change Set",
	"changesetRenamed" : "The change set comment was updated.",
	"changesetCompleted" : "The change set was completed.",
	"changesetCommitted" : "The change set was shared.  Redirecting you to the workspace...",
	"changesetDiscarded" : "The change set was discarded.",
	"renamePrompt" : "Please update the comment for the change set:",
	"loadingConfigurationPopup" : "Loading...",
	"unableToLoadTitle" : "Unable to load title",//!SERVICE
	"configurationSpace" : "Configuration space: ",
	"localConfiguration" : "Local configuration: ",
	"fullPath" : "Full path: ",
	"parentSnapshot" : "Base snapshot: ",
	"parentWorkspace" : "Flow target: ",
	"workspace" : "Workspace: ",
	"noConfiguration" : "&lt;none&gt;",
	"description" : "Description: ",
	"noDescription" : "&lt;none&gt;",
	"associatedWorkItems" : "Associated Change Requests",
	"addToGlobalConfiguration" : "Add to Global Configuration...",
	cancelButton: "Cancel",
	
	completeConfirmationTitle: "Complete the Change Set",
	completeConfirmationContent: "Completing the \"${changesetTitle}\" change set prevents further changes to its resources. You can share a completed change set with the workspace to apply the changes, or you can discard the completed change set if it is not needed. To make further changes to resources, first share it with the workspace, and then create another change set.",
	completeConfirmationOkButton: "Complete the Change Set",

	shareConfirmationTitle: "Share the Change Set",
	shareConfirmationContent: "When you share the \"${changesetTitle}\" change set, the changes that you made to resources are applied to the workspace. These changes are then visible to everyone using the workspace. Sharing the change set redirects you to the workspace. To undo the effects of a shared change set, in the change set explorer, create a reverse change set.",
	shareConfirmationOkButton: "Share the Change Set",
	
	discardConfirmationTitle: "Discard the Change Set",
	discardConfirmationContent: "Are you sure that you want to discard the \"${changesetTitle}\" change set? You cannot undo (reverse) a discard action. All your changes in this change set are permanently lost.",
	discardConfirmationOkButton: "Discard the Change Set",
	
	"failedToCommitChangeset": "CRMVC0100E The '${0}' change set cannot be shared.",  
	"failedToCommitChangeset.explanation": "Your change set was not shared. The change set might be empty, already shared, or already discarded.",  
	"failedToCommitChangeset.useraction": "Refresh the browser page and try again. If the change set is empty, or is already shared, or discarded then you can not complete this action. Otherwise, ensure that you are the owner of this change set or have permission to modify other team members' change sets.  Also, ensure that you have permission to write to the workspace you want to share into.",   

	"failedToCompleteChangeset": "CRMVC0101E The Configuration Management application cannot complete the '${0}' change set.",
	"failedToCompleteChangeset.explanation": "Your change set was not completed. The change set might be empty, already completed, shared, or discarded.",  
	"failedToCompleteChangeset.useraction":  "Refresh the browser page and try again.  If the change set is empty, or is already completed, shared, or discarded, then you can not complete this action.  Otherwise, ensure you are the owner of this change set or have rights to modify other team members' change sets.",  

	"failedToRenameChangeset": "CRMVC0102E The '${0}' change set cannot be renamed.",
	"failedToRenameChangeset.explanation": "The change set was not renamed. You must be the owner of the change set, or have rights to modify other team members' change sets.",
	"failedToRenameChangeset.useraction": "Ensure that you are the creator of this change set, or that you have rights to modify other team members' change sets.", 

	"failedToDiscardChangeset": "CRMVC0103E The '${0}' change set cannot be discarded.",  
	"failedToDiscardChangeset.explanation": "Your change set was not discarded. The change set might already be shared or discarded.",
	"failedToDiscardChangeset.useraction": "Refresh the browser page and try again.  If the change set is already shared, or discarded, then you can not complete this action.  Ensure that you are the creator of this change set, or that you have rights to modify other team members' change sets.",
	"archivedMessage": "The configuration ${0} has been archived.",
	"archivedUnknownMessage": "The configuration has been archived.",
	"archivedTitle": "Invalid configuration",
	quickCreateMenuTitle : "Create",
	showHistory: "Show history",
	"sharedMessage": "This change set has been shared and cannot be selected as the context for your work. Changes to resources must be made in an active change set or workspace. From the Configuration Management menu, select a different context.",
	
	"operationFailed": "Operation Failed"
})