/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009, 2011. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/

(function() {

var ImageService= dojo.provide("rmps.app.ui.internal.common.ImageService");


ImageService._BASE= "ui/internal/common/images/";
ImageService._getImageUri= function(imgName) {
	 	return dojo.moduleUrl("rmps.app", ImageService._BASE + imgName);
	};

ImageService.POPUP_DOWN_ARROW= ImageService._getImageUri("popup-down-arrow.gif");

ImageService.REDIRECTION= ImageService._getImageUri("redirection.gif");

ImageService.ADD= ImageService._getImageUri("add.gif");

ImageService.LIST_ARROW= ImageService._getImageUri("list-arrow.gif"); /* used in overview */

ImageService.STATE_ARROW= ImageService._getImageUri("state-arrow.gif");

ImageService.DIVIDER= ImageService._getImageUri("divider.gif");

/*We use the same icon in RTC for "Related Artifact" as it has the same concept 
 * as external link in our perspective */ 
ImageService.EXTERNAL_LINK= ImageService._getImageUri("externalLink.gif");

ImageService.PREVIEW= ImageService._getImageUri("preview.gif");

ImageService.REMOVE= ImageService._getImageUri("remove.gif");

ImageService.REMOVE_PERMANENT= ImageService._getImageUri("remove_permanent.gif");

ImageService.REVIEW_EDITOR_ICON= ImageService._getImageUri("review-editor.gif");

ImageService.BASELINE_EDITOR_ICON= ImageService._getImageUri("snapshot_artifact_obj.gif");

ImageService.WORKSPACE_ICON = ImageService._getImageUri("workspaces.gif");

ImageService.REMOVE_HOVER= ImageService._getImageUri("remove-hov.gif");

ImageService.DEPLOY_LINK_TYPE= ImageService._getImageUri("deploy_pred_link.gif");

ImageService.RESTORE= ImageService._getImageUri("restore.gif");

ImageService.EDIT= ImageService._getImageUri("edit.gif");

ImageService.RESTORE_HOVER= ImageService._getImageUri("restore-hov.gif");

ImageService.ABOUT= ImageService._getImageUri("about.gif");

ImageService.INFO= ImageService._getImageUri("info.gif");

ImageService.INLINE_INFO= ImageService._getImageUri("inline-info.gif");

ImageService.WARNING= ImageService._getImageUri("warning.gif");

ImageService.INLINE_WARNING= ImageService._getImageUri("inline-warning.gif");

ImageService.INLINE_ERROR= ImageService._getImageUri("inline-error.gif");

ImageService.ELLIPSIS_H= ImageService._getImageUri("ellipsis_h.gif");

ImageService.ELLIPSIS_V= ImageService._getImageUri("ellipsis_v.gif");

ImageService.BEGINNING= ImageService._getImageUri("beginning.gif");

ImageService.END= ImageService._getImageUri("end.gif");

ImageService.DEFINE_FILTER= ImageService._getImageUri("define_filter_co.gif");

ImageService.BLANK= ""; /*Null Image */


})();