/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009, 2010. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function(){
    dojo.provide("rmps.app.ui.internal.dialogs.CrossServerCommunicationContent");
    
    dojo.require("dijit._Widget");
    dojo.require("dijit._Templated");
    dojo.require("dojo.i18n");
    dojo.require("rmps.app.ui.internal.dialogs.InfoContent");

	dojo.require("net.jazz.ajax.viewletServiceRoot");
    
    dojo.requireLocalization("rmps.app.ui.internal.dialogs", "CrossServerCommuincationDialogMessages");
    
    dojo.declare("rmps.app.ui.internal.dialogs.CrossServerCommunicationContent", rmps.app.ui.internal.dialogs.InfoContent, {
		
		setInfo: function(){
			this.messages= dojo.i18n.getLocalization("rmps.app.ui.internal.dialogs", "CrossServerCommuincationDialogMessages");
			var href = net.jazz.ajax.viewletServiceRoot()+ "/admin"+'#action=com.ibm.team.repository.admin.friends';
        	//var href= net.jazz.ajax._sharedJtsServerUrl+ "/admin"+'#action=com.ibm.team.repository.admin.friends';
        	//var href= net.jazz.ajax._dataServerRoot+ "/admin"+'#action=com.ibm.team.repository.admin.friends';
            var anchorBegin = "<a class='serversLink' dojoAttachPoint='crossServerLink' dojoAttachEvent='onclick: onOk' href="+ href+ " title='" + this.messages.AddProjectLinkDialogHTML_NoServerDefinedTitle + "'>"; //$NON-NLS-1$ //$NON-NLS-2$
            this.contentNode = dojo.string.substitute(this.messages.AddProjectLinkDialogHTML_NoServerDefined, [anchorBegin, "</a>"]); //$NON-NLS-1$
        }
    });
    
})();
