/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("dm.app.admin.ui.internal.editors.RegisterAdminEditorsInitializer");

dojo.require("rmps.ui.editor.EditorRegistry");
dojo.require("net.jazz.ajax.ui.PlatformUI");
dojo.require("dm.app.admin.core.AdminUtil");

rmps.ui.editor.EditorRegistry.registerEditorInput("rmps.app.ui.internal.RequestBaselineEditorInput", dm.app.admin.core.AdminUtil.REQUEST_BASELINE_EDITOR);
rmps.ui.editor.EditorRegistry.registerEditorInput("rmps.app.ui.internal.BaselineStatusEditorInput", dm.app.admin.core.AdminUtil.BASELINE_STATUS_EDITOR);
rmps.ui.editor.EditorRegistry.registerEditorInput("rmps.app.ui.internal.StreamViewerInput", dm.app.admin.core.AdminUtil.STREAM_VIEWER_EDITOR);
rmps.ui.editor.EditorRegistry.registerEditorInput("rmps.app.ui.internal.StreamEditorInput", dm.app.admin.core.AdminUtil.STREAM_EDITOR);

})();


