/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010, 2011.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("dm.app.admin.ui.internal.editors.RegisterBaselineEditorsInitializer");

dojo.require("rmps.ui.editor.EditorRegistry");

// register editors
rmps.ui.editor.EditorRegistry.register("rmps.app.ui.internal.editors.BaselineStatusEditor", function(editorInput) {
	return editorInput.declaredClass === "rmps.app.ui.internal.BaselineStatusEditorInput";
});

rmps.ui.editor.EditorRegistry.register("rmps.app.ui.internal.editors.RequestBaselineEditor", function(editorInput) {
	return editorInput.declaredClass === "rmps.app.ui.internal.RequestBaselineEditorInput";
});

})();