/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("rmps.app.ui.internal.editors.RegisterModelingEditorsInitializer");

dojo.require("rmps.ui.editor.EditorRegistry");

// register editors
rmps.ui.editor.EditorRegistry.register("rmps.app.ui.internal.editors.DiagramEditor", function(editorInput) {
	if (editorInput.declaredClass === "rmps.app.ui.internal.ResourceEditorInput") {
		var resourceInfo = editorInput.resourceInfo;
		if (resourceInfo.diagramName) {
			return true;
		}
	}
	return false;
}, 1);

rmps.ui.editor.EditorRegistry.register("rmps.app.ui.internal.editors.PropertiesEditor", function(editorInput) {
	return editorInput.declaredClass === "rmps.app.ui.internal.ResourceEditorInput";
});

})();