/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010, 2011.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("dm.review.app.ui.internal.editors.RegisterReviewEditorsInitializer");

dojo.require("rmps.app.ui.ReviewEditorUtil");
dojo.require("rmps.ui.editor.EditorRegistry");
dojo.require("dm.review.app.ui.internal.editors.ReviewViewerEditorInput");

rmps.ui.editor.EditorRegistry.registerEditorInput("dm.review.app.ui.internal.editors.ReviewEditorInput", rmps.app.ui.ReviewEditorUtil.REVIEW_EDITOR);
rmps.ui.editor.EditorRegistry.registerEditorInput("dm.review.app.ui.internal.editors.ReviewViewerEditorInput", rmps.app.ui.ReviewEditorUtil.REVIEW_EDITOR_VIEWER);

rmps.ui.editor.EditorRegistry.register("dm.review.app.ui.internal.editors.ReviewEditor", function(editorInput) {
	return editorInput.declaredClass == "dm.review.app.ui.internal.editors.ReviewEditorInput";
});

rmps.ui.editor.EditorRegistry.register("dm.review.app.ui.internal.editors.ReviewViewerEditor", function(editorInput) {
	return editorInput.declaredClass == "dm.review.app.ui.internal.editors.ReviewViewerEditorInput";
});

})();


