/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010, 2013.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("rmps.app.ui.internal.editors.RegisterSettingsEditorsInitializer");

dojo.require("rmps.ui.editor.EditorRegistry");

rmps.ui.editor.EditorRegistry.register("rmps.app.ui.internal.editors.ProjectLinkingEditor", function(editorInput) {
	return editorInput.declaredClass == "rmps.app.ui.internal.ProjectLinkingEditorInput";
});

rmps.ui.editor.EditorRegistry.register("rmps.app.ui.internal.editors.link.LinkTypeEditor", function(editorInput) {
	return editorInput.declaredClass == "rmps.app.ui.internal.LinkTypeEditorInput";
});

rmps.ui.editor.EditorRegistry.register("rmps.app.ui.internal.editors.ExplorerFilterEditor", function(editorInput) {
	return editorInput.declaredClass == "rmps.app.ui.internal.ExplorerFilterEditorInput";
});

rmps.ui.editor.EditorRegistry.register("rmps.app.ui.internal.editors.ConfigureSpaceEditor", function(editorInput) {
	return editorInput.declaredClass == "rmps.app.ui.internal.ConfigureSpaceEditorInput";
});

})();