/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010, 2012.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("dm.review.app.ui.internal.editors.ReviewLinksEditor");
dojo.require("rmps.app.ui.internal.editors.views.LinksEditor");
dojo.require("rmps.app.ui.internal.editors.views.link.LinkClient");

var LinkClient= rmps.app.ui.internal.editors.views.link.LinkClient;

dojo.declare("dm.review.app.ui.internal.editors.ReviewLinksEditor", rmps.app.ui.internal.editors.views.LinksEditor, {
	
	display: null,
	
	postCreate: function(){
		if (this.display) {
			this.inherited(arguments);
			this.isReadOnly = false;
		}
	},

	performDelete: function(link){
		return LinkClient.deleteLink(link, {isReviewLink : "true"});
	}

});

})();
