/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011, 2012.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("dm.app.admin.ui.internal.pages.AdminWelcome");
dojo.require("dijit._Widget");
dojo.require("dijit._Templated");

dojo.require("dojo.i18n");

dojo.requireLocalization("dm.app.admin.ui.internal.pages", "AdminWelcomeMessages");

var messages = dojo.i18n.getLocalization("dm.app.admin.ui.internal.pages", "AdminWelcomeMessages");

dojo.declare("dm.app.admin.ui.internal.pages.AdminWelcome", [dijit._Widget, dijit._Templated], {
	messages: messages,
	
	templatePath: dojo.moduleUrl("dm.app.admin", "ui/internal/pages/templates/welcome/welcome_admin.html")
});

})();
