/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("rmps.app.ui.internal.pages.DesignDomainWelcome");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");

dojo.require("dojo.i18n");

dojo.requireLocalization("rmps.app.ui.internal.pages", "DesignDomainWelcomeMessages");

var messages = dojo.i18n.getLocalization("rmps.app.ui.internal.pages", "DesignDomainWelcomeMessages");

dojo.declare("rmps.app.ui.internal.pages.DesignDomainWelcome", [dijit._Widget, dijit._Templated], {
	messages: messages,
	
	templatePath: dojo.moduleUrl("rmps.app", "ui/internal/pages/templates/welcome/welcome_to_designs_dsp.html")
});

})();
