/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011, 2012.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("rmps.app.ui.internal.pages.ExplorerSideNavigation");

dojo.require("rmps.app.ui.internal.pages.SideNavigationContextContents");
dojo.require("rmps.app.ui.internal.pages.SideNavigation");

/*SideNavigation with baseline support */
dojo.declare("rmps.app.ui.internal.pages.ExplorerSideNavigation", rmps.app.ui.internal.pages.SideNavigation, {

	addSectionsCreators: function(sectionsCreators){
		sectionsCreators.push(rmps.app.ui.internal.pages.SideNavigationContextContents.createBaselineNavigationContent);
		this.inherited("addSectionsCreators", arguments);
	}

});

})();
