/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("dm.review.app.ui.internal.pages.ReviewWelcome");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");

dojo.require("dojo.i18n");

dojo.requireLocalization("dm.review.app.ui.internal.pages", "ReviewWelcomeMessages");

var messages = dojo.i18n.getLocalization("dm.review.app.ui.internal.pages", "ReviewWelcomeMessages");

dojo.declare("dm.review.app.ui.internal.pages.ReviewWelcome", [dijit._Widget, dijit._Templated], {
	messages: messages,
	
	templatePath: dojo.moduleUrl("dm.review.app", "ui/internal/pages/templates/welcome/welcome_reviews.html")
});

})();
