/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011, 2014.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	menuHeaderImport: "Import",
	menuImportMetamodels: "Ecore Import",
	menuImportOwl: "DM OWL Import",
	owlEditorBarTitle: "DM models to import",
	owlEditorTableMessage: "Please add the DM models you wish to import as ontologies.",
	owleditorTableColumn1: "Local path to your DM OWL model",
	replaceCheckbox: "Replace all subject URI with front side URI",
	stdVersionCheckbox: "set the Standard Version with current one",  
	importing: "Importing...",
	clickAdd: "Need to select at least one file. Click on Add to a file",
	editorInputName: "Import EMF Ecore models",
	editorInputButton: "Import",
	editorDisabledSnapshot: "Import is disabled in a snapshot context.  Please select a workspace or changeset context to enable import.",
	editorPleaseWait: "Please wait while the Ecore models are uploaded.",
	editorImportCompletedSuccessfully: "The Ecore import completed successfully.",
	editorImportWarning: "The Ecore import was not completed.  Please review the warnings below.", //!SERVICE
	
	editorImportError: "CRMPA0030E An error occurred.",
	'editorImportError.explanation': "An unknown error occurred on the server.",
	'editorImportError.useraction': "For more information about the cause of the error, check the dm.log file.",
	
	editorImportSeriousError: "CRMPA0031E A serious error occurred.",
	'editorImportSeriousError.explanation': "The server returned the following error: ${0}",
	'editorImportSeriousError.useraction': "For more information about the cause of the error, check the dm.log file.",
	
	editorBarTitle: "Ecore models to import",
	editorTableColumn1: "Local path to your Ecore model",
	editorAddLink: "Add",
	editorAddLinkTooltip: "Allows adding an Ecore model",
	editorReimportButtonDisabled: "Disabled because Ecore models were added to the import definition.",
	editorReimportButton: "Ignore warnings and retry the import",
	editorImportPathmapError: "The import could not be completed because of a pathmap error.", //!SERVICE
	editorImportNotMetamodels: "The following were not Ecore models and will not be imported:",
	editorImportDuplicated: "The following Ecore models were duplicated and only one will be imported:",
	editorImportDuplicateFilename: "The following filenames were duplicated and only one will be considered:",
	editorImportInvalidURIs: "The following files contain invalid nsURIs and these Ecore models will not be imported:",
	editorImportAlreadyExist: "The following Ecore models already exist on the server and will be overwritten if you continue:",
	editorWarningBarTitle: "Please review the following warnings", //!SERVICE
	editorTableMessage: "Please add the EMF Ecore models you wish to import as ontologies.  Typically, these models have the .ecore extension.",
	editorOverwriteCheckbox: "Overwrite existing ontologies having the same nsURI without warning",
	editorMissingDependentMetamodels: "The import failed because of missing dependent models: ${0}",
	editorDeleteLocked: "The import failed because the resource of the metamodel being overwritten, ${0}, was locked",
	editorIncompatibleURIs: "The import failed because one or more fragment identifier URIs were invalid.  Valid fragment identifiers must start with an alphabetical character: ${0}.",
	editorExistsInSystemDomains: "The import failed because the metamodel being imported, ${0}, is in a system domain project and cannot be overwritten",
	editorIncompatbileBrowserMessage: "This feature is not supported using your browser.  Please upgrade to a more recent browser version which supports the File API.",
	convertClientReadError: "Unable to read the file: ${0}", //!SERVICE
	owleditorName: "Import DM OWL",
	fileFormat: "File Format",
	owlImportCompleted: "The import completed successfully"
});
