/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010, 2013.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	linkNameHeader: "Link Type",
	linkDescriptionHeader: "Description",
	linkAboutHeader: "Link Type ID (URI)",
	addNewLinkTypeAction_title: "Add...",
	addNewLinkTypeAction_tooltip: "Add Link Type",
	linkTypeSection_title: "Defined Link Types",
	linkTypeSystemSection_title: "Default Link Types",
	
	projectLinksSectionDescription: 'Use the following section to add new link types. A link type indicates the relationship between two resources and is directional. Possible link types include Architects, Elaborates, Related To, Specifies, and Validated By.',
	projectLinksSectionDescriptionDetailed: 'To make common collaborative lifecycle management (CLM) relationships available for use in the project, you can <a href="${0}">deploy a set of predefined link types</a>.',
	
	changeContext: '${0} is associated with a different snapshot than the currently selected snapshot. Change to the correct <a href="${1}">snapshot</a> to see all of the review details.',
	linkBacklinkHeader: 'Backlink',
	systemDefinedDescription: "System-defined link types",
	add: "Add..",
	deploy_Predefined_Link_Types: "Deploy Predefined Link Types",
	deplyomentInProgress: "Deploying predefined link types...",
	deployed_Successfully: "The number of deployed link types is: ${0}",
	linksAlreadyDeployed: "No new link types were defined",
	saveFirst: "You must save your changes before you can deploy the predefined link types.",
	deleteAction: "Delete", 
	confirmDelete: "Deleting a link type will move all links with that link type to an Undefined category.  This change cannot be undone.  Click OK to continue",
	deploymentIsNotAllowedDueToContext: "Deployment of predefined link types is not allowed in a snapshot.",
	deploymentIsNotAllowedDueToPermission: "You do not have permission to deploy predefined link types. Please contact your server administrator.",
	editLinkType: "Edit Link Type",
	createLinkType: "Create Link Type"
})
