/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2013.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/

(function() {
	dojo.provide("com.ibm.team.vvc.shared.web.ui.notifications.VvcNotificationConstants");
	dojo.require("jazz.ui.MessageBox");
	var _CHANNEL_PREFIX =  "com.ibm.team.vvc.shared.web.ui.notifications.channels";

	com.ibm.team.vvc.shared.web.ui.notifications.VvcNotificationConstants = {	
		
		// Notification Channels
		DEFAULT_CHANNEL:_CHANNEL_PREFIX + ".default",
		ERROR_CHANNEL: _CHANNEL_PREFIX + ".error",
		WARNING_CHANNEL: _CHANNEL_PREFIX + ".warning",
		INFO_CHANNEL: _CHANNEL_PREFIX + ".info",
		OK_CHANNEL: _CHANNEL_PREFIX + ".ok",
		
		ERROR: jazz.ui.MessageBox.STATUS_TYPES.ERROR,
		WARNING: jazz.ui.MessageBox.STATUS_TYPES.WARNING,
		INFO: jazz.ui.MessageBox.STATUS_TYPES.INFO,
		OK: jazz.ui.MessageBox.STATUS_TYPES.OK
	}
	
}());