/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011, 2014.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
	dojo.provide("com.ibm.team.vvc.shared.core.ui.objects.Dimension");

	dojo.require("com.ibm.team.vvc.shared.core.ui.objects.Constants");
	var Constants = com.ibm.team.vvc.shared.core.ui.objects.Constants;
	
	dojo.require("com.ibm.team.vvc.shared.core.ui.objects.VvcObject");

	dojo.declare("com.ibm.team.vvc.shared.core.ui.objects.Dimension",
			com.ibm.team.vvc.shared.core.ui.objects.VvcObject, {

		getFrontServiceId: function() {
			return "dimensions";
		},

		getTitle: function() {
			return this.getProperty(Constants.TITLE);
		},

		getDescription: function() {
			return this.getProperty(Constants.DESCRIPTION);
		},

		getOneGreaterThan: function() {
			return this.getProperty(Constants.ONE_GREATER_THAN);
		},

		getValueType: function() {
			return this.getProperty(Constants.VALUE_TYPE);
		},
		
		setTitle: function(value) {
			return this.setProperty(Constants.TITLE, value);
		},

		setDescription: function(value) {
			return this.setProperty(Constants.DESCRIPTION, value);
		},
		
		setOneGreaterThan: function(value) {
			return this.setProperty(Constants.ONE_GREATER_THAN, value);
		},

		setValueType: function(value) {
			return this.setProperty(Constants.VALUE_TYPE, value);
		}
	});
})();