/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2012. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.vvc.shared.web.ui.widgets.HideableMenuItem");
	
(function() {
	
	dojo.require("dijit.MenuItem");

	dojo.declare(
			"com.ibm.team.vvc.shared.web.ui.widgets.HideableMenuItem",
			[dijit.MenuItem], 
		{
			setVisible: function(/*Boolean*/ disabled){
				this.set('disabled', disabled);
				if (disabled) {
					this.domNode.style.visibility = "collapse";
					this.domNode.style.display = "none";
				} else {
					this.domNode.style.visibility = "visible";
					this.domNode.style.display = "";
				}
			},
		});

})();