/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("rmpw.diagrams.layout.client.util.AbstractHashMap");
dojo.require("rmpw.diagrams.layout.client.util.AbstractSet");

$equals_1 = function(this$static, obj){
  var entry, entry$iterator, otherKey, otherMap, otherValue;
  if ((obj == null?null:obj) === (this$static == null?null:this$static)) {
    return true;
  }
  if (!(obj != null && canCast(obj.typeId$, 26))) {
    return false;
  }
  otherMap = dynamicCast(obj, 26);
  if (this$static.size != otherMap.size_0()) {
    return false;
  }
  for (entry$iterator = otherMap.entrySet_0().iterator(); entry$iterator.hasNext();) {
    entry = dynamicCast(entry$iterator.next(), 25);
    otherKey = entry.getKey();
    otherValue = entry.getValue();
    if (!(otherKey == null?this$static.nullSlotLive:otherKey != null && canCast(otherKey.typeId$, 1)?$hasStringValue(this$static, dynamicCast(otherKey, 1)):$hasHashValue(this$static, otherKey, ~~hashCode__devirtual$(otherKey)))) {
      return false;
    }
    if (!equalsWithNullCheck(otherValue, otherKey == null?this$static.nullSlot:otherKey != null && canCast(otherKey.typeId$, 1)?this$static.stringMap[':' + dynamicCast(otherKey, 1)]:$getHashValue(this$static, otherKey, ~~hashCode__devirtual$(otherKey)))) {
      return false;
    }
  }
  return true;
};

$hashCode_0 = function(this$static){
  var entry, entry$iterator, hashCode;
  hashCode = 0;
  for (entry$iterator = $AbstractHashMap$EntrySetIterator(new AbstractHashMap$EntrySetIterator(), $AbstractHashMap$EntrySet(new AbstractHashMap$EntrySet(), this$static).this$0); $hasNext(entry$iterator.iter);) {
    entry = entry$iterator.last = dynamicCast($next_0(entry$iterator.iter), 25);
    hashCode += entry.hashCode$();
    hashCode = ~~hashCode;
  }
  return hashCode;
};

$keySet = function(this$static){
  var entrySet;
  entrySet = $AbstractHashMap$EntrySet(new AbstractHashMap$EntrySet(), this$static);
  return $AbstractMap$1(new AbstractMap$1(), this$static, entrySet);
};

$toString_1 = function(this$static){
  var comma, entry, iter, s;
  s = '{';
  comma = false;
  for (iter = $AbstractHashMap$EntrySetIterator(new AbstractHashMap$EntrySetIterator(), $AbstractHashMap$EntrySet(new AbstractHashMap$EntrySet(), this$static).this$0); $hasNext(iter.iter);) {
    entry = iter.last = dynamicCast($next_0(iter.iter), 25);
    if (comma) {
      s += ', ';
    }
     else {
      comma = true;
    }
    s += '' + entry.getKey();
    s += '=';
    s += '' + entry.getValue();
  }
  return s + '}';
};

$values = function(this$static){
  var entrySet;
  entrySet = $AbstractHashMap$EntrySet(new AbstractHashMap$EntrySet(), this$static);
  return $AbstractMap$2(new AbstractMap$2(), this$static, entrySet);
};

equals_7 = function(obj){
  return $equals_1(this, obj);
};

getClass_37 = function(){
  return Ljava_util_AbstractMap_2_classLit;
};

hashCode_8 = function(){
  return $hashCode_0(this);
};

size_4 = function(){
  return $AbstractHashMap$EntrySet(new AbstractHashMap$EntrySet(), dynamicCast(this, 24)).this$0.size;
};

toString_11 = function(){
  return $toString_1(this);
};

AbstractMap = function(){
};

_ = AbstractMap.prototype = new Object_0();
_.equals$ = equals_7;
_.getClass$ = getClass_37;
_.hashCode$ = hashCode_8;
_.size_0 = size_4;
_.toString$ = toString_11;
_.typeId$ = 22;

$AbstractMap$1 = function(this$static, this$0, val$entrySet){
	  this$static.this$0 = this$0;
	  this$static.val$entrySet = val$entrySet;
	  return this$static;
	};

	contains_1 = function(key){
	  return $containsKey(this.this$0, key);
	};

	getClass_33 = function(){
	  return Ljava_util_AbstractMap$1_2_classLit;
	};

	iterator_1 = function(){
	  var outerIter;
	  return outerIter = $AbstractHashMap$EntrySetIterator(new AbstractHashMap$EntrySetIterator(), this.val$entrySet.this$0) , $AbstractMap$1$1(new AbstractMap$1$1(), outerIter);
	};

	size_2 = function(){
	  return this.val$entrySet.this$0.size;
	};

	AbstractMap$1 = function(){
	};

	_ = AbstractMap$1.prototype = new AbstractSet();
	_.contains = contains_1;
	_.getClass$ = getClass_33;
	_.iterator = iterator_1;
	_.size_0 = size_2;
	_.typeId$ = 30;
	_.this$0 = null;
	_.val$entrySet = null;
	$AbstractMap$1$1 = function(this$static, val$outerIter){
	  this$static.val$outerIter = val$outerIter;
	  return this$static;
	};

	getClass_32 = function(){
	  return Ljava_util_AbstractMap$1$1_2_classLit;
	};

	hasNext_1 = function(){
	  return $hasNext(this.val$outerIter.iter);
	};

	next_2 = function(){
	  var entry;
	  return entry = $next(this.val$outerIter) , entry.getKey();
	};

	remove_4 = function(){
	  $remove(this.val$outerIter);
	};

	AbstractMap$1$1 = function(){
	};

	_ = AbstractMap$1$1.prototype = new Object_0();
	_.getClass$ = getClass_32;
	_.hasNext = hasNext_1;
	_.next = next_2;
	_.remove = remove_4;
	_.typeId$ = 0;
	_.val$outerIter = null;
	$AbstractMap$2 = function(this$static, this$0, val$entrySet){
	  this$static.this$0 = this$0;
	  this$static.val$entrySet = val$entrySet;
	  return this$static;
	};

	contains_2 = function(value){
	  return $containsValue(this.this$0, value);
	};

	getClass_35 = function(){
	  return Ljava_util_AbstractMap$2_2_classLit;
	};

	iterator_2 = function(){
	  var outerIter;
	  return outerIter = $AbstractHashMap$EntrySetIterator(new AbstractHashMap$EntrySetIterator(), this.val$entrySet.this$0) , $AbstractMap$2$1(new AbstractMap$2$1(), outerIter);
	};

	size_3 = function(){
	  return this.val$entrySet.this$0.size;
	};

	AbstractMap$2 = function(){
	};

	_ = AbstractMap$2.prototype = new AbstractCollection();
	_.contains = contains_2;
	_.getClass$ = getClass_35;
	_.iterator = iterator_2;
	_.size_0 = size_3;
	_.typeId$ = 31;
	_.this$0 = null;
	_.val$entrySet = null;
	$AbstractMap$2$1 = function(this$static, val$outerIter){
	  this$static.val$outerIter = val$outerIter;
	  return this$static;
	};

	getClass_34 = function(){
	  return Ljava_util_AbstractMap$2$1_2_classLit;
	};

	hasNext_2 = function(){
	  return $hasNext(this.val$outerIter.iter);
	};

	next_3 = function(){
	  var value;
	  return value = $next(this.val$outerIter).getValue() , value;
	};

	remove_5 = function(){
	  $remove(this.val$outerIter);
	};

	AbstractMap$2$1 = function(){
	};

	_ = AbstractMap$2$1.prototype = new Object_0();
	_.getClass$ = getClass_34;
	_.hasNext = hasNext_2;
	_.next = next_3;
	_.remove = remove_5;
	_.typeId$ = 0;
	_.val$outerIter = null;
	
$AbstractHashMap = function(this$static, ignored, alsoIgnored){
  $clearImpl(this$static);
  if (ignored < 0 || alsoIgnored < 0) {
    throw $IllegalArgumentException(new IllegalArgumentException(), 'initial capacity was negative or load factor was non-positive');
  }
  return this$static;
};

$addAllHashEntries = function(this$static, dest){
  var hashCodeMap = this$static.hashCodeMap;
  for (var hashCode in hashCodeMap) {
    if (hashCode == parseInt(hashCode)) {
      var array = hashCodeMap[hashCode];
      for (var i = 0, c = array.length; i < c; ++i) {
        dest.add_0(array[i]);
      }
    }
  }
};

$addAllStringEntries = function(this$static, dest){
  var stringMap = this$static.stringMap;
  for (var key in stringMap) {
    if (key.charCodeAt(0) == 58) {
      var entry = new_$(this$static, key.substring(1));
      dest.add_0(entry);
    }
  }
};

$clearImpl = function(this$static){
  this$static.hashCodeMap = [];
  this$static.stringMap = {};
  this$static.nullSlotLive = false;
  this$static.nullSlot = null;
  this$static.size = 0;
};

$containsHashValue = function(this$static, value){
  var hashCodeMap = this$static.hashCodeMap;
  for (var hashCode in hashCodeMap) {
    if (hashCode == parseInt(hashCode)) {
      var array = hashCodeMap[hashCode];
      for (var i = 0, c = array.length; i < c; ++i) {
        var entry = array[i];
        var entryValue = entry.getValue();
        if (this$static.equalsBridge(value, entryValue)) {
          return true;
        }
      }
    }
  }
  return false;
};

$containsKey = function(this$static, key){
  return key == null?this$static.nullSlotLive:key != null && canCast(key.typeId$, 1)?$hasStringValue(this$static, dynamicCast(key, 1)):$hasHashValue(this$static, key, ~~hashCode__devirtual$(key));
};

$containsStringValue = function(this$static, value){
  var stringMap = this$static.stringMap;
  for (var key in stringMap) {
    if (key.charCodeAt(0) == 58) {
      var entryValue = stringMap[key];
      if (this$static.equalsBridge(value, entryValue)) {
        return true;
      }
    }
  }
  return false;
};

$containsValue = function(this$static, value){
  if (this$static.nullSlotLive && $equals_2(this$static.nullSlot, value)) {
    return true;
  }
   else if ($containsStringValue(this$static, value)) {
    return true;
  }
   else if ($containsHashValue(this$static, value)) {
    return true;
  }
  return false;
};

$get = function(this$static, key){
  return key == null?this$static.nullSlot:key != null && canCast(key.typeId$, 1)?this$static.stringMap[':' + dynamicCast(key, 1)]:$getHashValue(this$static, key, ~~hashCode__devirtual$(key));
};

$getHashValue = function(this$static, key, hashCode){
  var array = this$static.hashCodeMap[hashCode];
  if (array) {
    for (var i = 0, c = array.length; i < c; ++i) {
      var entry = array[i];
      var entryKey = entry.getKey();
      if (this$static.equalsBridge(key, entryKey)) {
        return entry.getValue();
      }
    }
  }
  return null;
};

$hasHashValue = function(this$static, key, hashCode){
  var array = this$static.hashCodeMap[hashCode];
  if (array) {
    for (var i = 0, c = array.length; i < c; ++i) {
      var entry = array[i];
      var entryKey = entry.getKey();
      if (this$static.equalsBridge(key, entryKey)) {
        return true;
      }
    }
  }
  return false;
};

$hasStringValue = function(this$static, key){
  return ':' + key in this$static.stringMap;
};

$put = function(this$static, key, value){
  return key == null?$putNullSlot(this$static, value):key != null && canCast(key.typeId$, 1)?$putStringValue(this$static, dynamicCast(key, 1), value):$putHashValue(this$static, key, value, ~~hashCode__devirtual$(key));
};

$putHashValue = function(this$static, key, value, hashCode){
  var array = this$static.hashCodeMap[hashCode];
  if (array) {
    for (var i = 0, c = array.length; i < c; ++i) {
      var entry = array[i];
      var entryKey = entry.getKey();
      if (this$static.equalsBridge(key, entryKey)) {
        var previous = entry.getValue();
        entry.setValue(value);
        return previous;
      }
    }
  }
   else {
    array = this$static.hashCodeMap[hashCode] = [];
  }
  var entry = $MapEntryImpl(new MapEntryImpl(), key, value);
  array.push(entry);
  ++this$static.size;
  return null;
};

$putNullSlot = function(this$static, value){
  var result;
  result = this$static.nullSlot;
  this$static.nullSlot = value;
  if (!this$static.nullSlotLive) {
    this$static.nullSlotLive = true;
    ++this$static.size;
  }
  return result;
};

$putStringValue = function(this$static, key, value){
  var result, stringMap = this$static.stringMap;
  key = ':' + key;
  if (key in stringMap) {
    result = stringMap[key];
  }
   else {
    ++this$static.size;
  }
  stringMap[key] = value;
  return result;
};

$remove_0 = function(this$static, key){
  return key == null?$removeNullSlot(this$static):key != null && canCast(key.typeId$, 1)?$removeStringValue(this$static, dynamicCast(key, 1)):$removeHashValue(this$static, key, ~~hashCode__devirtual$(key));
};

$removeHashValue = function(this$static, key, hashCode){
  var array = this$static.hashCodeMap[hashCode];
  if (array) {
    for (var i = 0, c = array.length; i < c; ++i) {
      var entry = array[i];
      var entryKey = entry.getKey();
      if (this$static.equalsBridge(key, entryKey)) {
        if (array.length == 1) {
          delete this$static.hashCodeMap[hashCode];
        }
         else {
          array.splice(i, 1);
        }
        --this$static.size;
        return entry.getValue();
      }
    }
  }
  return null;
};

$removeNullSlot = function(this$static){
  var result;
  result = this$static.nullSlot;
  this$static.nullSlot = null;
  if (this$static.nullSlotLive) {
    this$static.nullSlotLive = false;
    --this$static.size;
  }
  return result;
};

$removeStringValue = function(this$static, key){
  var result, stringMap = this$static.stringMap;
  key = ':' + key;
  if (key in stringMap) {
    result = stringMap[key];
    --this$static.size;
    delete stringMap[key];
  }
  return result;
};

entrySet_0 = function(){
  return $AbstractHashMap$EntrySet(new AbstractHashMap$EntrySet(), dynamicCast(this, 24));
};

equalsBridge = function(value1, value2){
  return (value1 == null?null:value1) === (value2 == null?null:value2) || value1 != null && equals__devirtual$(value1, value2);
};

getClass_28 = function(){
  return Ljava_util_AbstractHashMap_2_classLit;
};

size_1 = function(){
  return dynamicCast(this, 24).size;
};

AbstractHashMap = function(){
};

_ = AbstractHashMap.prototype = new AbstractMap();
_.entrySet_0 = entrySet_0;
_.equalsBridge = equalsBridge;
_.getClass$ = getClass_28;
_.size_0 = size_1;
_.typeId$ = 23;
_.hashCodeMap = null;
_.nullSlot = null;
_.nullSlotLive = false;
_.size = 0;
_.stringMap = null;

$AbstractHashMap$EntrySet = function(this$static, this$0){
  this$static.this$0 = this$0;
  return this$static;
};

$contains = function(this$static, o){
  var entry, key, value;
  if (o != null && canCast(o.typeId$, 25)) {
    entry = dynamicCast(o, 25);
    key = entry.getKey();
    if ($containsKey(this$static.this$0, key)) {
      value = $get(this$static.this$0, key);
      return $equals_2(entry.getValue(), value);
    }
  }
  return false;
};

contains_0 = function(o){
  return $contains(this, o);
};

getClass_25 = function(){
  return Ljava_util_AbstractHashMap$EntrySet_2_classLit;
};

iterator = function(){
  return $AbstractHashMap$EntrySetIterator(new AbstractHashMap$EntrySetIterator(), this.this$0);
};

remove_1 = function(entry){
  var key;
  if ($contains(this, entry)) {
    key = dynamicCast(entry, 25).getKey();
    $remove_0(this.this$0, key);
    return true;
  }
  return false;
};

size_0 = function(){
  return this.this$0.size;
};

AbstractHashMap$EntrySet = function(){
};

_ = AbstractHashMap$EntrySet.prototype = new AbstractSet();
_.contains = contains_0;
_.getClass$ = getClass_25;
_.iterator = iterator;
_.remove_1 = remove_1;
_.size_0 = size_0;
_.typeId$ = 25;
_.this$0 = null;
$AbstractHashMap$EntrySetIterator = function(this$static, this$0){
  var list;
  this$static.this$0 = this$0;
  list = $ArrayList(new ArrayList());
  if (this$static.this$0.nullSlotLive) {
    $add_0(list, $AbstractHashMap$MapEntryNull(new AbstractHashMap$MapEntryNull(), this$static.this$0));
  }
  $addAllStringEntries(this$static.this$0, list);
  $addAllHashEntries(this$static.this$0, list);
  this$static.iter = $AbstractList$IteratorImpl(new AbstractList$IteratorImpl(), list);
  return this$static;
};

$next = function(this$static){
  return this$static.last = dynamicCast($next_0(this$static.iter), 25);
};

$remove = function(this$static){
  if (!this$static.last) {
    throw $IllegalStateException(new IllegalStateException(), 'Must call next() before remove().');
  }
   else {
    $remove_1(this$static.iter);
    $remove_0(this$static.this$0, this$static.last.getKey());
    this$static.last = null;
  }
};

getClass_24 = function(){
  return Ljava_util_AbstractHashMap$EntrySetIterator_2_classLit;
};

hasNext = function(){
  return $hasNext(this.iter);
};

next_0 = function(){
  return this.last = dynamicCast($next_0(this.iter), 25);
};

remove_0 = function(){
  $remove(this);
};

AbstractHashMap$EntrySetIterator = function(){
};

_ = AbstractHashMap$EntrySetIterator.prototype = new Object_0();
_.getClass$ = getClass_24;
_.hasNext = hasNext;
_.next = next_0;
_.remove = remove_0;
_.typeId$ = 0;
_.iter = null;
_.last = null;
_.this$0 = null;
equals_6 = function(other){
  var entry;
  if (other != null && canCast(other.typeId$, 25)) {
    entry = dynamicCast(other, 25);
    if (equalsWithNullCheck(this.getKey(), entry.getKey()) && equalsWithNullCheck(this.getValue(), entry.getValue())) {
      return true;
    }
  }
  return false;
};

getClass_36 = function(){
  return Ljava_util_AbstractMapEntry_2_classLit;
};

hashCode_7 = function(){
  var keyHash, valueHash;
  keyHash = 0;
  valueHash = 0;
  if (this.getKey() != null) {
    keyHash = hashCode__devirtual$(this.getKey());
  }
  if (this.getValue() != null) {
    valueHash = hashCode__devirtual$(this.getValue());
  }
  return keyHash ^ valueHash;
};

toString_10 = function(){
  return this.getKey() + '=' + this.getValue();
};

AbstractMapEntry = function(){
};

_ = AbstractMapEntry.prototype = new Object_0();
_.equals$ = equals_6;
_.getClass$ = getClass_36;
_.hashCode$ = hashCode_7;
_.toString$ = toString_10;
_.typeId$ = 26;

$MapEntryImpl = function(this$static, key, value){
	  this$static.key = key;
	  this$static.value = value;
	  return this$static;
	};

	getClass_54 = function(){
	  return Ljava_util_MapEntryImpl_2_classLit;
	};

	getKey_2 = function(){
	  return this.key;
	};

	getValue_2 = function(){
	  return this.value;
	};

	setValue_2 = function(value){
	  var old;
	  old = this.value;
	  this.value = value;
	  return old;
	};

	MapEntryImpl = function(){
	};

	_ = MapEntryImpl.prototype = new AbstractMapEntry();
	_.getClass$ = getClass_54;
	_.getKey = getKey_2;
	_.getValue = getValue_2;
	_.setValue = setValue_2;
	_.typeId$ = 43;
	_.key = null;
	_.value = null;
	
$AbstractHashMap$MapEntryNull = function(this$static, this$0){
  this$static.this$0 = this$0;
  return this$static;
};

getClass_26 = function(){
  return Ljava_util_AbstractHashMap$MapEntryNull_2_classLit;
};

getKey = function(){
  return null;
};

AbstractHashMap$MapEntryNull = function(){
};

_ = AbstractHashMap$MapEntryNull.prototype = new AbstractMapEntry();
_.getClass$ = getClass_26;
_.getKey = getKey;
_.getValue = function(){
  return this.this$0.nullSlot;
};
_.setValue = function(object){
  return $putNullSlot(this.this$0, object);
};
_.typeId$ = 27;
_.this$0 = null;
$AbstractHashMap$MapEntryString = function(this$static, key, this$0){
  this$static.this$0 = this$0;
  this$static.key = key;
  return this$static;
};

getClass_27 = function(){
  return Ljava_util_AbstractHashMap$MapEntryString_2_classLit;
};

getKey_0 = function(){
  return this.key;
};

getValue_0 = function(){
  return this.this$0.stringMap[':' + this.key];
};

new_$ = function(this$outer, key){
  return $AbstractHashMap$MapEntryString(new AbstractHashMap$MapEntryString(), key, this$outer);
};

setValue_0 = function(object){
  return $putStringValue(this.this$0, this.key, object);
};

AbstractHashMap$MapEntryString = function(){
};

_ = AbstractHashMap$MapEntryString.prototype = new AbstractMapEntry();
_.getClass$ = getClass_27;
_.getKey = getKey_0;
_.getValue = getValue_0;
_.setValue = setValue_0;
_.typeId$ = 28;
_.key = null;
_.this$0 = null;

dojo.declare("rmpw.diagrams.layout.client.util.AbstractHashMap", null, {

});