/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("dm.review.app.util.ReviewUtil");

dm.review.app.util.ReviewUtil = {
	
	PAGE_ID: "dm.app.review",
	
	REVIEW_ACTIONS_PREFIX: "dm.app.review.",
	RICHTEXT_READONLY: "richtext_read_only",
	RICHTEXT_READWRITE: "richtext_read_write",

	
	_basicPrefix: "#action=dm.app.review.",
	
	decodeUserUri: function(userId) {
		var index = userId.lastIndexOf("/");
		var beginSeg = userId.substring(0,index);
		var decodedEnd = decodeURIComponent(userId.substring(index));
		return beginSeg + decodedEnd;
	},
	
	getWelcomeUri: function() {
		return this._basicPrefix + "welcome";
	}
	
};
})();