/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010, 2013.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/

dojo.provide("rmpw.diagrams.layout.graph.JavaUtil");

dojo.require("rmpw.diagrams.layout.client.util.ArrayList");
dojo.require("rmpw.diagrams.layout.client.util.HashMap");
dojo.require("rmpw.diagrams.layout.client.util.HashSet");

_.toString = function(){
  return this.toString$();
}
;
_.typeMarker$ = nullMethod;
_.typeId$ = 1;
getClass_21 = function(){
  return Ljava_lang_Throwable_2_classLit;
};

getMessage_0 = function(){
  return this.detailMessage;
};

toString_8 = function(){
  var className, msg;
  className = this.getClass$().typeName;
  msg = this.getMessage();
  if (msg != null) {
    return className + ': ' + msg;
  }
   else {
    return className;
  }
};

Throwable = function(){
};

_ = Throwable.prototype = new Object_0();
_.getClass$ = getClass_21;
_.getMessage = getMessage_0;
_.toString$ = toString_8;
_.typeId$ = 3;
_.detailMessage = null;
getClass_10 = function(){
  return Ljava_lang_Exception_2_classLit;
};

Exception = function(){
};

_ = Exception.prototype = new Throwable();
_.getClass$ = getClass_10;
_.typeId$ = 4;
$RuntimeException = function(this$static, message){
  this$static.detailMessage = message;
  return this$static;
};

getClass_18 = function(){
  return Ljava_lang_RuntimeException_2_classLit;
};

RuntimeException = function(){
};

_ = RuntimeException.prototype = new Exception();
_.getClass$ = getClass_18;
_.typeId$ = 5;
$JavaScriptException = function(this$static, e){
  this$static.e = e;
  return this$static;
};

getClass_0 = function(){
  return Lcom_google_gwt_core_client_JavaScriptException_2_classLit;
};

getDescription = function(e){
  if (e != null && (e.typeMarker$ != nullMethod && e.typeId$ != 2)) {
    return getDescription0(dynamicCastJso(e));
  }
   else {
    return e + '';
  }
};

getDescription0 = function(e){
  return e == null?null:e.message;
};

getMessage = function(){
  if (this.message_0 == null) {
    this.name_0 = getName(this.e);
    this.description = getDescription(this.e);
    this.message_0 = '(' + this.name_0 + '): ' + this.description + getProperties(this.e);
  }
  return this.message_0;
};

getName = function(e){
  if (e == null) {
    return 'null';
  }
   else if (e != null && (e.typeMarker$ != nullMethod && e.typeId$ != 2)) {
    return getName0(dynamicCastJso(e));
  }
   else if (e != null && canCast(e.typeId$, 1)) {
    return 'String';
  }
   else {
    return (e.typeMarker$ == nullMethod || e.typeId$ == 2?e.getClass$():Lcom_google_gwt_core_client_JavaScriptObject_2_classLit).typeName;
  }
};

getName0 = function(e){
  return e == null?null:e.name;
};

getProperties = function(e){
  return e != null && (e.typeMarker$ != nullMethod && e.typeId$ != 2)?getProperties0(dynamicCastJso(e)):'';
};

getProperties0 = function(e){
  var result = '';
  try {
    for (prop in e) {
      if (prop != 'name' && (prop != 'message' && prop != 'toString')) {
        try {
          result += '\n ' + prop + ': ' + e[prop];
        }
         catch (ignored) {
        }
      }
    }
  }
   catch (ignored) {
  }
  return result;
};

JavaScriptException = function(){
};

_ = JavaScriptException.prototype = new RuntimeException();
_.getClass$ = getClass_0;
_.getMessage = getMessage;
_.typeId$ = 6;
_.description = null;
_.e = null;
_.message_0 = null;
_.name_0 = null;
equals__devirtual$ = function(this$static, other){
  return this$static.typeMarker$ == nullMethod || this$static.typeId$ == 2?this$static.equals$(other):(this$static == null?null:this$static) === (other == null?null:other);
};

hashCode__devirtual$ = function(this$static){
  return this$static.typeMarker$ == nullMethod || this$static.typeId$ == 2?this$static.hashCode$():this$static.$H || (this$static.$H = ++sNextHashId);
};

toString__devirtual$ = function(this$static){
  return this$static.typeMarker$ == nullMethod || this$static.typeId$ == 2?this$static.toString$():this$static.toString?this$static.toString():'[JavaScriptObject]';
};

getHashCode = function(o){
  return o.$H || (o.$H = ++sNextHashId);
};

var sNextHashId = 0;
getClass_3 = function(){
  return Lcom_google_gwt_core_client_impl_StringBufferImpl_2_classLit;
};

StringBufferImpl = function(){
};

_ = StringBufferImpl.prototype = new Object_0();
_.getClass$ = getClass_3;
_.typeId$ = 0;
getClass_2 = function(){
  return Lcom_google_gwt_core_client_impl_StringBufferImplAppend_2_classLit;
};

StringBufferImplAppend = function(){
};

_ = StringBufferImplAppend.prototype = new StringBufferImpl();
_.getClass$ = getClass_2;
_.typeId$ = 0;
_.string = '';

$ArrayStoreException = function(this$static, message){
  this$static.detailMessage = message;
  return this$static;
};

getClass_5 = function(){
  return Ljava_lang_ArrayStoreException_2_classLit;
};

ArrayStoreException = function(){
};

_ = ArrayStoreException.prototype = new RuntimeException();
_.getClass$ = getClass_5;
_.typeId$ = 8;
$clinit_18 = function(){
  $clinit_18 = nullMethod;
  $Boolean(new Boolean_0(), false);
  TRUE = $Boolean(new Boolean_0(), true);
};

$Boolean = function(this$static, value){
  $clinit_18();
  this$static.value = value;
  return this$static;
};

compareTo = function(other){
  return this.value == other.value?0:this.value?1:-1;
};

equals_0 = function(o){
  return o != null && canCast(o.typeId$, 3) && dynamicCast(o, 3).value == this.value;
};

getClass_6 = function(){
  return Ljava_lang_Boolean_2_classLit;
};

hashCode_1 = function(){
  return this.value?1231:1237;
};

toString_1 = function(){
  return this.value?'true':'false';
};

Boolean_0 = function(){
};

_ = Boolean_0.prototype = new Object_0();
_.compareTo$ = compareTo;
_.equals$ = equals_0;
_.getClass$ = getClass_6;
_.hashCode$ = hashCode_1;
_.toString$ = toString_1;
_.typeId$ = 11;
_.value = false;
var TRUE;

getClass_7 = function(){
  return Ljava_lang_ClassCastException_2_classLit;
};

ClassCastException = function(){
};

_ = ClassCastException.prototype = new RuntimeException();
_.getClass$ = getClass_7;
_.typeId$ = 12;
getClass_16 = function(){
  return Ljava_lang_Number_2_classLit;
};

Number_0 = function(){
};

_ = Number_0.prototype = new Object_0();
_.getClass$ = getClass_16;
_.typeId$ = 13;
$Double = function(this$static, value){
  this$static.value = value;
  return this$static;
};

compareTo_0 = function(b){
  if (this.value < b.value) {
    return -1;
  }
   else if (this.value > b.value) {
    return 1;
  }
   else {
    return 0;
  }
};

equals_1 = function(o){
  return o != null && canCast(o.typeId$, 4) && dynamicCast(o, 4).value == this.value;
};

getClass_9 = function(){
  return Ljava_lang_Double_2_classLit;
};

hashCode_2 = function(){
  return ~~Math.max(Math.min(this.value, 2147483647), -2147483648);
};

toString_3 = function(){
  return '' + this.value;
};

Double = function(){
};

_ = Double.prototype = new Number_0();
_.compareTo$ = compareTo_0;
_.equals$ = equals_1;
_.getClass$ = getClass_9;
_.hashCode$ = hashCode_2;
_.toString$ = toString_3;
_.typeId$ = 14;
_.value = 0;
$IllegalArgumentException = function(this$static, message){
  this$static.detailMessage = message;
  return this$static;
};

getClass_11 = function(){
  return Ljava_lang_IllegalArgumentException_2_classLit;
};

IllegalArgumentException = function(){
};

_ = IllegalArgumentException.prototype = new RuntimeException();
_.getClass$ = getClass_11;
_.typeId$ = 15;
$IllegalStateException = function(this$static, s){
  this$static.detailMessage = s;
  return this$static;
};

getClass_12 = function(){
  return Ljava_lang_IllegalStateException_2_classLit;
};

IllegalStateException = function(){
};

_ = IllegalStateException.prototype = new RuntimeException();
_.getClass$ = getClass_12;
_.typeId$ = 16;
$IndexOutOfBoundsException = function(this$static, message){
  this$static.detailMessage = message;
  return this$static;
};

getClass_13 = function(){
  return Ljava_lang_IndexOutOfBoundsException_2_classLit;
};

IndexOutOfBoundsException = function(){
};

_ = IndexOutOfBoundsException.prototype = new RuntimeException();
_.getClass$ = getClass_13;
_.typeId$ = 17;
$Integer = function(this$static, value){
  this$static.value = value;
  return this$static;
};

compareTo_1 = function(b){
  if (this.value < b.value) {
    return -1;
  }
   else if (this.value > b.value) {
    return 1;
  }
   else {
    return 0;
  }
};

equals_2 = function(o){
  return o != null && canCast(o.typeId$, 5) && dynamicCast(o, 5).value == this.value;
};

getClass_14 = function(){
  return Ljava_lang_Integer_2_classLit;
};

hashCode_3 = function(){
  return this.value;
};

toString_4 = function(){
  return '' + this.value;
};

Integer = function(){
};

_ = Integer.prototype = new Number_0();
_.compareTo$ = compareTo_1;
_.equals$ = equals_2;
_.getClass$ = getClass_14;
_.hashCode$ = hashCode_3;
_.toString$ = toString_4;
_.typeId$ = 18;
_.value = 0;
abs = function(x){
  return x < 0?-x:x;
};

abs_0 = function(x){
  return x < 0?-x:x;
};

max_0 = function(x, y){
  return x > y?x:y;
};

max_1 = function(x, y){
  return x > y?x:y;
};

max_2 = function(x, y){
  return x > y?x:y;
};

min = function(x, y){
  return x < y?x:y;
};

min_0 = function(x, y){
  return x < y?x:y;
};

round0 = function(x){
  return Math.round(x);
};

getClass_15 = function(){
  return Ljava_lang_NullPointerException_2_classLit;
};

NullPointerException = function(){
};

_ = NullPointerException.prototype = new RuntimeException();
_.getClass$ = getClass_15;
_.typeId$ = 19;
$clinit_33 = function(){
  $clinit_33 = nullMethod;
  digits_0 = initValues(_3C_classLit, 0, -1, [48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 97, 98, 99, 100, 101, 102, 103, 104, 105, 106, 107, 108, 109, 110, 111, 112, 113, 114, 115, 116, 117, 118, 119, 120, 121, 122]);
};

var digits_0;
$equals_0 = function(this$static, other){
  if (!(other != null && canCast(other.typeId$, 1))) {
    return false;
  }
  return String(this$static) == other;
};

__valueOf = function(x, start, end){
  x = x.slice(start, end);
  return String.fromCharCode.apply(null, x);
};

compareTo_3 = function(thisStr, otherStr){
  thisStr = String(thisStr);
  if (thisStr == otherStr) {
    return 0;
  }
  return thisStr < otherStr?-1:1;
};

compareTo_2 = function(other){
  return compareTo_3(this, other);
};

equals_4 = function(other){
  return $equals_0(this, other);
};

getClass_20 = function(){
  return Ljava_lang_String_2_classLit;
};

hashCode_5 = function(){
  return getHashCode_0(this);
};

toString_7 = function(){
  return this;
};

_ = String.prototype;
_.compareTo$ = compareTo_2;
_.equals$ = equals_4;
_.getClass$ = getClass_20;
_.hashCode$ = hashCode_5;
_.toString$ = toString_7;
_.typeId$ = 2;
$clinit_37 = function(){
  $clinit_37 = nullMethod;
  back = {};
  front = {};
};

compute = function(str){
  var hashCode, i, inc, n;
  n = str.length;
  inc = n < 64?1:~~(n / 32);
  hashCode = 0;
  for (i = 0; i < n; i += inc) {
    hashCode <<= 1;
    hashCode += str.charCodeAt(i);
  }
  hashCode |= 0;
  return hashCode;
};

getHashCode_0 = function(str){
  $clinit_37();
  var key = ':' + str;
  var result = front[key];
  if (result != null) {
    return result;
  }
  result = back[key];
  if (result == null) {
    result = compute(str);
  }
  increment();
  return front[key] = result;
};

increment = function(){
  if (count_0 == 256) {
    back = front;
    front = {};
    count_0 = 0;
  }
  ++count_0;
};

var back, count_0 = 0, front;
$StringBuffer = function(this$static){
  this$static.impl = new StringBufferImplAppend();
  return this$static;
};

$append_0 = function(this$static, x){
  this$static.impl.string += x;
  return this$static;
};

getClass_19 = function(){
  return Ljava_lang_StringBuffer_2_classLit;
};

toString_6 = function(){
  return this.impl.string;
};

StringBuffer = function(){
};

_ = StringBuffer.prototype = new Object_0();
_.getClass$ = getClass_19;
_.toString$ = toString_6;
_.typeId$ = 0;
arraycopy = function(src, srcOfs, dest, destOfs, len){
  var destArray, destEnd, destTypeName, destlen, srcArray, srcTypeName, srclen;
  if (src == null || dest == null) {
    throw new NullPointerException();
  }
  srcTypeName = (src.typeMarker$ == nullMethod || src.typeId$ == 2?src.getClass$():Lcom_google_gwt_core_client_JavaScriptObject_2_classLit).typeName;
  destTypeName = (dest.typeMarker$ == nullMethod || dest.typeId$ == 2?dest.getClass$():Lcom_google_gwt_core_client_JavaScriptObject_2_classLit).typeName;
  if (srcTypeName.charCodeAt(0) != 91 || destTypeName.charCodeAt(0) != 91) {
    throw $ArrayStoreException(new ArrayStoreException(), 'Must be array types');
  }
  if (srcTypeName.charCodeAt(1) != destTypeName.charCodeAt(1)) {
    throw $ArrayStoreException(new ArrayStoreException(), 'Array types must match');
  }
  srclen = src.length;
  destlen = dest.length;
  if (srcOfs < 0 || destOfs < 0 || len < 0 || srcOfs + len > srclen || destOfs + len > destlen) {
    throw new IndexOutOfBoundsException();
  }
  if ((srcTypeName.charCodeAt(1) == 76 || srcTypeName.charCodeAt(1) == 91) && !$equals_0(srcTypeName, destTypeName)) {
    srcArray = dynamicCast(src, 6);
    destArray = dynamicCast(dest, 6);
    if ((src == null?null:src) === (dest == null?null:dest) && srcOfs < destOfs) {
      srcOfs += len;
      for (destEnd = destOfs + len; destEnd-- > destOfs;) {
        setCheck(destArray, destEnd, srcArray[--srcOfs]);
      }
    }
     else {
      for (destEnd = destOfs + len; destOfs < destEnd;) {
        setCheck(destArray, destOfs++, srcArray[srcOfs++]);
      }
    }
  }
   else {
    Array.prototype.splice.apply(dest, [destOfs, len].concat(src.slice(srcOfs, srcOfs + len)));
  }
};

$UnsupportedOperationException = function(this$static, message){
  this$static.detailMessage = message;
  return this$static;
};

getClass_22 = function(){
  return Ljava_lang_UnsupportedOperationException_2_classLit;
};

UnsupportedOperationException = function(){
};

_ = UnsupportedOperationException.prototype = new RuntimeException();
_.getClass$ = getClass_22;
_.typeId$ = 20;



$clinit_72 = function(){
  $clinit_72 = nullMethod;
  EMPTY_LIST = unmodifiableList($ArrayList(new ArrayList()));
  $Collections$UnmodifiableMap(new Collections$UnmodifiableMap(), $HashMap(new HashMap()));
  $Collections$UnmodifiableCollection(new Collections$UnmodifiableSet(), $HashSet(new HashSet()));
};

replaceContents = function(target, x){
  var i, size, previous;
  size = target.size;
  for (i = 0; i < size; ++i) {
	checkIndex(i, target.size);
    previous = target.array[i];
    setCheck(target.array, i, x[i]);
  }
};

sort = function(target, c){
  var a, result;
  $clinit_72();
  var x;
  a = target.array;
  result = a.slice(0, target.size);
  x = initValues(a.arrayClass$, a.typeId$, a.queryId$, result) , result;
  $clinit_75();
  mergeSort(x, 0, x.length, c?c:NATURAL);
  replaceContents(target, x);
};

unmodifiableList = function(list){
  $clinit_72();
  return list?$Collections$UnmodifiableRandomAccessList(new Collections$UnmodifiableRandomAccessList(), list):$Collections$UnmodifiableList(new Collections$UnmodifiableList(), list);
};

EMPTY_LIST = null;
$Collections$UnmodifiableCollection = function(this$static, coll){
  this$static.coll = coll;
  return this$static;
};

add_5 = function(o){
  throw new UnsupportedOperationException();
};

addAll_1 = function(c){
  throw new UnsupportedOperationException();
};

clear_1 = function(){
  throw new UnsupportedOperationException();
};

contains_4 = function(o){
  return this.coll.contains(o);
};

getClass_41 = function(){
  return Ljava_util_Collections$UnmodifiableCollection_2_classLit;
};

isEmpty_1 = function(){
  return this.coll.isEmpty();
};

iterator_3 = function(){
  return $Collections$UnmodifiableCollectionIterator(new Collections$UnmodifiableCollectionIterator(), this.coll.iterator());
};

remove_9 = function(o){
  throw new UnsupportedOperationException();
};

size_6 = function(){
  return this.coll.size_0();
};

toArray_3 = function(){
  return this.coll.toArray();
};

Collections$UnmodifiableCollection = function(){
};

_ = Collections$UnmodifiableCollection.prototype = new Object_0();
_.add_0 = add_5;
_.addAll = addAll_1;
_.clear = clear_1;
_.contains = contains_4;
_.getClass$ = getClass_41;
_.isEmpty = isEmpty_1;
_.iterator = iterator_3;
_.remove_1 = remove_9;
_.size_0 = size_6;
_.toArray = toArray_3;
_.typeId$ = 33;
_.coll = null;
$Collections$UnmodifiableCollectionIterator = function(this$static, it){
  this$static.it = it;
  return this$static;
};

getClass_40 = function(){
  return Ljava_util_Collections$UnmodifiableCollectionIterator_2_classLit;
};

hasNext_3 = function(){
  return this.it.hasNext();
};

next_4 = function(){
  return this.it.next();
};

remove_8 = function(){
  throw new UnsupportedOperationException();
};

Collections$UnmodifiableCollectionIterator = function(){
};

_ = Collections$UnmodifiableCollectionIterator.prototype = new Object_0();
_.getClass$ = getClass_40;
_.hasNext = hasNext_3;
_.next = next_4;
_.remove = remove_8;
_.typeId$ = 0;
_.it = null;
$Collections$UnmodifiableList = function(this$static, list){
  this$static.coll = list;
  this$static.list = list;
  return this$static;
};

add_6 = function(index, element){
  throw new UnsupportedOperationException();
};

equals_9 = function(o){
  return this.list.equals$(o);
};

get_0 = function(index){
  return $get_0(this.list, index);
};

getClass_43 = function(){
  return Ljava_util_Collections$UnmodifiableList_2_classLit;
};

hashCode_10 = function(){
  return this.list.hashCode$();
};

isEmpty_2 = function(){
  return this.list.size == 0;
};

listIterator_0 = function(){
  return $Collections$UnmodifiableListIterator(new Collections$UnmodifiableListIterator(), $AbstractList$ListIteratorImpl_0(new AbstractList$ListIteratorImpl(), 0, this.list));
};

remove_10 = function(index){
  throw new UnsupportedOperationException();
};

Collections$UnmodifiableList = function(){
};

_ = Collections$UnmodifiableList.prototype = new Collections$UnmodifiableCollection();
_.add = add_6;
_.equals$ = equals_9;
_.get = get_0;
_.getClass$ = getClass_43;
_.hashCode$ = hashCode_10;
_.isEmpty = isEmpty_2;
_.listIterator = listIterator_0;
_.remove_0 = remove_10;
_.typeId$ = 34;
_.list = null;
$Collections$UnmodifiableListIterator = function(this$static, lit){
  this$static.it = lit;
  return this$static;
};

getClass_42 = function(){
  return Ljava_util_Collections$UnmodifiableListIterator_2_classLit;
};

Collections$UnmodifiableListIterator = function(){
};

_ = Collections$UnmodifiableListIterator.prototype = new Collections$UnmodifiableCollectionIterator();
_.getClass$ = getClass_42;
_.typeId$ = 0;
$Collections$UnmodifiableMap = function(this$static, map){
  this$static.map = map;
  return this$static;
};

entrySet_1 = function(){
  if (!this.entrySet) {
    this.entrySet = $Collections$UnmodifiableMap$UnmodifiableEntrySet(new Collections$UnmodifiableMap$UnmodifiableEntrySet(), $AbstractHashMap$EntrySet(new AbstractHashMap$EntrySet(), this.map));
  }
  return this.entrySet;
};

equals_11 = function(o){
  return $equals_1(this.map, o);
};

getClass_47 = function(){
  return Ljava_util_Collections$UnmodifiableMap_2_classLit;
};

hashCode_12 = function(){
  return $hashCode_0(this.map);
};

size_7 = function(){
  return this.map.size;
};

toString_13 = function(){
  return $toString_1(this.map);
};

Collections$UnmodifiableMap = function(){
};

_ = Collections$UnmodifiableMap.prototype = new Object_0();
_.entrySet_0 = entrySet_1;
_.equals$ = equals_11;
_.getClass$ = getClass_47;
_.hashCode$ = hashCode_12;
_.size_0 = size_7;
_.toString$ = toString_13;
_.typeId$ = 35;
_.entrySet = null;
_.map = null;
equals_12 = function(o){
  return this.coll.equals$(o);
};

getClass_49 = function(){
  return Ljava_util_Collections$UnmodifiableSet_2_classLit;
};

hashCode_13 = function(){
  return this.coll.hashCode$();
};

Collections$UnmodifiableSet = function(){
};

_ = Collections$UnmodifiableSet.prototype = new Collections$UnmodifiableCollection();
_.equals$ = equals_12;
_.getClass$ = getClass_49;
_.hashCode$ = hashCode_13;
_.typeId$ = 36;
$Collections$UnmodifiableMap$UnmodifiableEntrySet = function(this$static, s){
  this$static.coll = s;
  return this$static;
};

$toArray_1 = function(this$static, a){
  var c, i, result;
  result = this$static.coll.toArray_0(a);
  for (i = 0 , c = result.length; i < c; ++i) {
    setCheck(result, i, $Collections$UnmodifiableMap$UnmodifiableEntrySet$UnmodifiableEntry(new Collections$UnmodifiableMap$UnmodifiableEntrySet$UnmodifiableEntry(), dynamicCast(result[i], 25)));
  }
  return result;
};

contains_5 = function(o){
  return this.coll.contains(o);
};

getClass_46 = function(){
  return Ljava_util_Collections$UnmodifiableMap$UnmodifiableEntrySet_2_classLit;
};

iterator_4 = function(){
  var it;
  it = this.coll.iterator();
  return $Collections$UnmodifiableMap$UnmodifiableEntrySet$1(new Collections$UnmodifiableMap$UnmodifiableEntrySet$1(), it);
};

toArray_4 = function(){
  return $toArray_1(this, this.coll.toArray());
};

Collections$UnmodifiableMap$UnmodifiableEntrySet = function(){
};

_ = Collections$UnmodifiableMap$UnmodifiableEntrySet.prototype = new Collections$UnmodifiableSet();
_.contains = contains_5;
_.getClass$ = getClass_46;
_.iterator = iterator_4;
_.toArray = toArray_4;
_.typeId$ = 37;
$Collections$UnmodifiableMap$UnmodifiableEntrySet$1 = function(this$static, val$it){
  this$static.val$it = val$it;
  return this$static;
};

getClass_44 = function(){
  return Ljava_util_Collections$UnmodifiableMap$UnmodifiableEntrySet$1_2_classLit;
};

hasNext_4 = function(){
  return this.val$it.hasNext();
};

next_5 = function(){
  return $Collections$UnmodifiableMap$UnmodifiableEntrySet$UnmodifiableEntry(new Collections$UnmodifiableMap$UnmodifiableEntrySet$UnmodifiableEntry(), dynamicCast(this.val$it.next(), 25));
};

remove_11 = function(){
  throw new UnsupportedOperationException();
};

Collections$UnmodifiableMap$UnmodifiableEntrySet$1 = function(){
};

_ = Collections$UnmodifiableMap$UnmodifiableEntrySet$1.prototype = new Object_0();
_.getClass$ = getClass_44;
_.hasNext = hasNext_4;
_.next = next_5;
_.remove = remove_11;
_.typeId$ = 0;
_.val$it = null;
$Collections$UnmodifiableMap$UnmodifiableEntrySet$UnmodifiableEntry = function(this$static, entry){
  this$static.entry = entry;
  return this$static;
};

equals_10 = function(o){
  return this.entry.equals$(o);
};

getClass_45 = function(){
  return Ljava_util_Collections$UnmodifiableMap$UnmodifiableEntrySet$UnmodifiableEntry_2_classLit;
};

getKey_1 = function(){
  return this.entry.getKey();
};

getValue_1 = function(){
  return this.entry.getValue();
};

hashCode_11 = function(){
  return this.entry.hashCode$();
};

setValue_1 = function(value){
  throw new UnsupportedOperationException();
};

toString_12 = function(){
  return toString__devirtual$(this.entry);
};

Collections$UnmodifiableMap$UnmodifiableEntrySet$UnmodifiableEntry = function(){
};

_ = Collections$UnmodifiableMap$UnmodifiableEntrySet$UnmodifiableEntry.prototype = new Object_0();
_.equals$ = equals_10;
_.getClass$ = getClass_45;
_.getKey = getKey_1;
_.getValue = getValue_1;
_.hashCode$ = hashCode_11;
_.setValue = setValue_1;
_.toString$ = toString_12;
_.typeId$ = 38;
_.entry = null;
$Collections$UnmodifiableRandomAccessList = function(this$static, list){
  this$static.coll = list;
  this$static.list = list;
  return this$static;
};

getClass_48 = function(){
  return Ljava_util_Collections$UnmodifiableRandomAccessList_2_classLit;
};

Collections$UnmodifiableRandomAccessList = function(){
};

_ = Collections$UnmodifiableRandomAccessList.prototype = new Collections$UnmodifiableList();
_.getClass$ = getClass_48;
_.typeId$ = 39;
$clinit_75 = function(){
  $clinit_75 = nullMethod;
  NATURAL = new Comparators$1();
};

var NATURAL;
compare_1 = function(o1, o2){
  return dynamicCast(o1, 28).compareTo$(o2);
};

getClass_50 = function(){
  return Ljava_util_Comparators$1_2_classLit;
};

Comparators$1 = function(){
};

_ = Comparators$1.prototype = new Object_0();
_.compare = compare_1;
_.getClass$ = getClass_50;
_.typeId$ = 0;
getClass_51 = function(){
  return Ljava_util_EmptyStackException_2_classLit;
};

EmptyStackException = function(){
};

_ = EmptyStackException.prototype = new RuntimeException();
_.getClass$ = getClass_51;
_.typeId$ = 40;

getClass_55 = function(){
  return Ljava_util_NoSuchElementException_2_classLit;
};

NoSuchElementException = function(){
};

_ = NoSuchElementException.prototype = new RuntimeException();
_.getClass$ = getClass_55;
_.typeId$ = 44;
add_9 = function(o){
  return $add_0(this.arrayList, o);
};

add_8 = function(index, o){
  $add(this.arrayList, index, o);
};

addAll_2 = function(c){
  return $addAll_0(this.arrayList, c);
};

clear_2 = function(){
  $clear(this.arrayList);
};

contains_7 = function(elem){
  return $indexOf(this.arrayList, elem, 0) != -1;
};

get_1 = function(index){
  return $get_0(this.arrayList, index);
};

getClass_57 = function(){
  return Ljava_util_Vector_2_classLit;
};

isEmpty_4 = function(){
  return this.arrayList.size == 0;
};

iterator_6 = function(){
  return $AbstractList$IteratorImpl(new AbstractList$IteratorImpl(), this.arrayList);
};

remove_13 = function(index){
  return $remove_2(this.arrayList, index);
};

removeRange_1 = function(fromIndex, endIndex){
  $removeRange(this.arrayList, fromIndex, endIndex);
};

set_2 = function(index, elem){
  return $set_0(this.arrayList, index, elem);
};

size_9 = function(){
  return this.arrayList.size;
};

toArray_5 = function(){
  return $toArray(this.arrayList);
};

toArray_6 = function(a){
  return $toArray_0(this.arrayList, a);
};

toString_15 = function(){
  return $toString_0(this.arrayList);
};

Vector = function(){
};

_ = Vector.prototype = new AbstractList();
_.add_0 = add_9;
_.add = add_8;
_.addAll = addAll_2;
_.clear = clear_2;
_.contains = contains_7;
_.get = get_1;
_.getClass$ = getClass_57;
_.isEmpty = isEmpty_4;
_.iterator = iterator_6;
_.remove_0 = remove_13;
_.removeRange = removeRange_1;
_.set = set_2;
_.size_0 = size_9;
_.toArray = toArray_5;
_.toArray_0 = toArray_6;
_.toString$ = toString_15;
_.typeId$ = 45;
_.arrayList = null;
$Stack = function(this$static){
  this$static.arrayList = $ArrayList(new ArrayList());
  return this$static;
};

$pop = function(this$static){
  var sz;
  sz = this$static.arrayList.size;
  if (sz > 0) {
    return $remove_2(this$static.arrayList, sz - 1);
  }
   else {
    throw new EmptyStackException();
  }
};

$push = function(this$static, o){
  $add_0(this$static.arrayList, o);
  return o;
};

getClass_56 = function(){
  return Ljava_util_Stack_2_classLit;
};

Stack = function(){
};

_ = Stack.prototype = new Vector();
_.getClass$ = getClass_56;
_.typeId$ = 46;
equalsWithNullCheck = function(a, b){
  return (a == null?null:a) === (b == null?null:b) || a != null && equals__devirtual$(a, b);
};



Ljava_lang_Object_2_classLit = createForClass('java.lang.', 'Object');
Lcom_google_gwt_core_client_impl_StringBufferImpl_2_classLit = createForClass('com.google.gwt.core.client.impl.', 'StringBufferImpl');
Lcom_google_gwt_core_client_impl_StringBufferImplAppend_2_classLit = createForClass('com.google.gwt.core.client.impl.', 'StringBufferImplAppend');
Ljava_lang_Throwable_2_classLit = createForClass('java.lang.', 'Throwable');
Ljava_lang_Exception_2_classLit = createForClass('java.lang.', 'Exception');
Ljava_lang_RuntimeException_2_classLit = createForClass('java.lang.', 'RuntimeException');
Lcom_google_gwt_core_client_JavaScriptException_2_classLit = createForClass('com.google.gwt.core.client.', 'JavaScriptException');
Lcom_google_gwt_core_client_JavaScriptObject_2_classLit = createForClass('com.google.gwt.core.client.', 'JavaScriptObject$');
_3D_classLit = createForArray('', '[D'), _3_3D_classLit = createForArray('', '[[D');
Ljava_lang_IndexOutOfBoundsException_2_classLit = createForClass('java.lang.', 'IndexOutOfBoundsException');
Ljava_lang_ArrayStoreException_2_classLit = createForClass('java.lang.', 'ArrayStoreException');
Ljava_lang_Number_2_classLit = createForClass('java.lang.', 'Number');
_3C_classLit = createForArray('', '[C');
Ljava_lang_Class_2_classLit = createForClass('java.lang.', 'Class');
Ljava_lang_ClassCastException_2_classLit = createForClass('java.lang.', 'ClassCastException');
Ljava_lang_Double_2_classLit = createForClass('java.lang.', 'Double');
Ljava_lang_IllegalArgumentException_2_classLit = createForClass('java.lang.', 'IllegalArgumentException');
Ljava_lang_IllegalStateException_2_classLit = createForClass('java.lang.', 'IllegalStateException');
Ljava_lang_Integer_2_classLit = createForClass('java.lang.', 'Integer');
_3I_classLit = createForArray('', '[I');
Ljava_lang_NullPointerException_2_classLit = createForClass('java.lang.', 'NullPointerException');
Ljava_lang_String_2_classLit = createForClass('java.lang.', 'String');
Ljava_lang_StringBuffer_2_classLit = createForClass('java.lang.', 'StringBuffer');
Ljava_lang_UnsupportedOperationException_2_classLit = createForClass('java.lang.', 'UnsupportedOperationException');
_3Ljava_lang_Object_2_classLit = createForArray('[Ljava.lang.', 'Object;');
Ljava_util_AbstractCollection_2_classLit = createForClass('java.util.', 'AbstractCollection');
Ljava_util_AbstractMap_2_classLit = createForClass('java.util.', 'AbstractMap');
Ljava_util_AbstractHashMap_2_classLit = createForClass('java.util.', 'AbstractHashMap');
Ljava_util_AbstractSet_2_classLit = createForClass('java.util.', 'AbstractSet');
Ljava_util_AbstractHashMap$EntrySet_2_classLit = createForClass('java.util.', 'AbstractHashMap$EntrySet');
Ljava_util_AbstractHashMap$EntrySetIterator_2_classLit = createForClass('java.util.', 'AbstractHashMap$EntrySetIterator');
Ljava_util_AbstractMapEntry_2_classLit = createForClass('java.util.', 'AbstractMapEntry');
Ljava_util_AbstractHashMap$MapEntryNull_2_classLit = createForClass('java.util.', 'AbstractHashMap$MapEntryNull');
Ljava_util_AbstractHashMap$MapEntryString_2_classLit = createForClass('java.util.', 'AbstractHashMap$MapEntryString');
Ljava_util_AbstractList_2_classLit = createForClass('java.util.', 'AbstractList');
Ljava_util_AbstractList$IteratorImpl_2_classLit = createForClass('java.util.', 'AbstractList$IteratorImpl');
Ljava_util_AbstractList$ListIteratorImpl_2_classLit = createForClass('java.util.', 'AbstractList$ListIteratorImpl');
Ljava_util_AbstractMap$1_2_classLit = createForClass('java.util.', 'AbstractMap$1');
Ljava_util_AbstractMap$1$1_2_classLit = createForClass('java.util.', 'AbstractMap$1$1');
Ljava_util_AbstractSequentialList_2_classLit = createForClass('java.util.', 'AbstractSequentialList'); 
Ljava_util_ArrayList_2_classLit = createForClass('java.util.', 'ArrayList');
Ljava_util_Collections$UnmodifiableCollection_2_classLit = createForClass('java.util.', 'Collections$UnmodifiableCollection');
Ljava_util_Collections$UnmodifiableList_2_classLit = createForClass('java.util.', 'Collections$UnmodifiableList');
Ljava_util_Collections$UnmodifiableMap_2_classLit = createForClass('java.util.', 'Collections$UnmodifiableMap');
Ljava_util_Collections$UnmodifiableSet_2_classLit = createForClass('java.util.', 'Collections$UnmodifiableSet');
Ljava_util_Collections$UnmodifiableMap$UnmodifiableEntrySet_2_classLit = createForClass('java.util.', 'Collections$UnmodifiableMap$UnmodifiableEntrySet');
Ljava_util_Collections$UnmodifiableMap$UnmodifiableEntrySet$UnmodifiableEntry_2_classLit = createForClass('java.util.', 'Collections$UnmodifiableMap$UnmodifiableEntrySet$UnmodifiableEntry');
Ljava_util_Collections$UnmodifiableMap$UnmodifiableEntrySet$1_2_classLit = createForClass('java.util.', 'Collections$UnmodifiableMap$UnmodifiableEntrySet$1');
Ljava_util_Collections$UnmodifiableRandomAccessList_2_classLit = createForClass('java.util.', 'Collections$UnmodifiableRandomAccessList');
Ljava_util_Collections$UnmodifiableCollectionIterator_2_classLit = createForClass('java.util.', 'Collections$UnmodifiableCollectionIterator');
Ljava_util_Collections$UnmodifiableListIterator_2_classLit = createForClass('java.util.', 'Collections$UnmodifiableListIterator');
Ljava_util_Comparators$1_2_classLit = createForClass('java.util.', 'Comparators$1');
Ljava_util_EmptyStackException_2_classLit = createForClass('java.util.', 'EmptyStackException');
Ljava_util_HashMap_2_classLit = createForClass('java.util.', 'HashMap');
Ljava_util_HashSet_2_classLit = createForClass('java.util.', 'HashSet');
Ljava_util_LinkedList_2_classLit = createForClass('java.util.', 'LinkedList');
Ljava_util_LinkedList$ListIteratorImpl_2_classLit = createForClass('java.util.', 'LinkedList$ListIteratorImpl');
Ljava_util_LinkedList$Node_2_classLit = createForClass('java.util.', 'LinkedList$Node');
Ljava_util_MapEntryImpl_2_classLit = createForClass('java.util.', 'MapEntryImpl');
Ljava_util_NoSuchElementException_2_classLit = createForClass('java.util.', 'NoSuchElementException');
Ljava_util_Vector_2_classLit = createForClass('java.util.', 'Vector');
Ljava_util_Stack_2_classLit = createForClass('java.util.', 'Stack');
