/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009, 2010.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
( function() {

dojo.provide( "rmpw.widgets.MenuRegion" );

dojo.declare( "rmpw.widgets.MenuRegion", [dijit._Widget, dijit._Templated], {
	
   // border:solid 1px #869CBF;	

   templateString: "<span style=\"margin-left:2px;margin-right:2px;border:solid 1px #869CBF;margin-top:2px;margin-bottom:2px;display:inline-block;-moz-border-radius: 2px;-webkit-border-radius: 2px;\"><span dojoAttachPoint='anchor'style=\"background-color:white;display:inline-block;-moz-border-radius: 2px;-webkit-border-radius: 2px;\"></span></span>",


   postCreate: function(){ 
      this.inherited(arguments);
   },
   
   addChild: function( widget ){
	  this.anchor.appendChild( widget.domNode ); 
   },
   
   clearRegion: function(){	   
	  if( this.anchor.hasChildNodes() ){   
		 while( this.anchor.childNodes.length >= 1 ){
	        this.anchor.removeChild( this.anchor.firstChild );       
	     } 
	  }   
   }
});

}());
