/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("rmpw.diagrams.edit.actions.DeleteReference");

dojo.require("rmpw.diagrams.edit.actions.DeleteElement");

/**
 * Delete reference semantic action
 * 
 * @author Steve Shaw
 */
dojo.declare("rmpw.diagrams.edit.actions.DeleteReference", rmpw.diagrams.edit.actions.DeleteElement, {
	
	getCommandId: function() {
		return "rmpw.common.command.DeleteReference"; 
	},
	
	getExecutionArguments: function(e){
		var execArgs = this.inherited(arguments);		
		execArgs.deletedRenderMapping = e.targetController.renderMapping;
		return execArgs;
	}
});

