/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("rmpw.diagrams.edit.actions.InvokeTool");

dojo.require("rmpw.diagrams.edit.actions.Action");

/**
 * 
 * @author Marc Gobeil
 * 
 */
dojo.declare("rmpw.diagrams.edit.actions.InvokeTool", rmpw.diagrams.edit.actions.Action, {
	run: function(e) {
		var tool = this.host.policies[this._tool]; 
		tool.onTrigger({x: e.clientX, y: e.clientY});
	},
	
	setTool: function(tool) {
		this._tool = tool;
	}
});