/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("rmpw.diagrams.edit.actions.Undo");

dojo.require("rmpw.diagrams.edit.actions.Action");

/**
 * 
 * @author Steve Shaw
 * 
 * Action for handling undo
 */
dojo.declare("rmpw.diagrams.edit.actions.Undo", rmpw.diagrams.edit.actions.Action, {
	
	run: function(args) {
		return args.viewer.getCommandController().commandStack.undo();
	}
});