/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("rmpw.dsv.editor.sketcher.behavior.SketcherAddElement");

dojo.require("rmpw.diagrams.edit.actions.AddElement");

/**
 *Add class 
  */
dojo.declare("rmpw.dsv.editor.sketcher.behavior.SketcherAddElement", rmpw.diagrams.edit.actions.AddElement, {
	/*
	 * Gets the command to be execution by the action
	 */
	getCommand: function(e) {
		var relpos = this.getElementPosition(e);

		var cmd = this.inherited(arguments);
        for (var propName in cmd._options.propertyTemplates) {
        	var propTemplate = cmd._options.propertyTemplates[propName];
        	if (propTemplate.name == "sketch_x") {
            	propTemplate.defaultValue = relpos.x;
        	} else if (propTemplate.name == "sketch_y") {
            	propTemplate.defaultValue = relpos.y;
        	}
        }
        
        return cmd;
	}

});

