/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("rmpw.diagrams.edit.commands.ResizeCommand");

dojo.require("rmpw.common.command.Command");

dojo.declare("rmpw.diagrams.edit.commands.ResizeCommand", rmpw.common.command.Command, {
	id: "rmpw.diagrams.edit.commands.ResizeCommand",
	icon: null,
	description: "Resize",
	
	updateChangeSet: function(changeSet, args) {
	
		for( var node = 0; node < args.nodes.length; node++ ){	
			var editController = args.nodes[node];

			if (editController.__setUpdateSize) {
				
				editController.__setUpdateSize( changeSet, args.bounds.x, args.bounds.y, 
							                 args.bounds.width, args.bounds.height );
			}
		}

		return true;
	}
});