/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("rmps.web.comment.sketch.commands.shapes.CreateText");

dojo.require("rmpw.common.command.Command");

dojo.declare("rmps.web.comment.sketch.commands.shapes.CreateText", rmpw.common.command.Command, {
	id: "rmps.web.comment.sketch.commands.shapes.CreateText",
	icon: null,
	description: "CreateText",
	
	updateChangeSet: function(changeSet, args) {
		var text = {
			eClass: "TextType",
			x: args.x,
			y: args.y,
			text: args.text,
			fontFamily: args.fontFamily,
			fontStyle: args.fontStyle,
			varient: args.varient,
			fontWeight: args.fontWeight,
			fontSize: args.fontSize,
			align: args.align,
			textColor: args.textColor,
			textOpacity: args.textOpacity,
			textStroke: "0xFFFFFF",
			textStrokeOpacity: 0,
			fill: "0xFFFFFF",
			fillOpacity: 0,
			stroke: "0xFFFFFF",
			strokeOpacity: 0
		};
		
		var textGroup = {
			eClass: "GType",
			elementId: "Text",
			text: [ text ]
	    };
		
		var change = changeSet.createChange(args.svgParent);
		change.push("g", textGroup);

		return true;
	}
});