/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("rmps.app.core.internal.query.RelationshipTextQuery");

dojo.require("rmps.core.query.TextQuery");

dojo.declare("rmps.app.core.internal.query.RelationshipTextQuery", rmps.core.query.TextQuery, {
	
	// properties
	relationship: null,
	uri: null,
	
	constructor: function(params) {
		if (params) {
			this.relationship = params.relationship;
			this.uri = params.uri;
		}
	},
	
	_getQueryStringParams: function(params) {
		this.inherited(arguments);
		params[this.relationship] = this.uri;
	},
	
	equals: function(obj) { 
		return this.inherited(arguments) && this.relationship == obj.relationship && this.uri == obj.uri;
	}
});

})();