/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/

dojo.provide("rmpw.diagrams.render.graph.AnimatedElement");		

/**
 * Stores state required for animating a figure
 * 
 * @author Steve Shaw
 */
dojo.declare("rmpw.diagrams.render.graph.AnimatedElement", null, {
	constructor: function(graphPolicy) {
	
	},
	
	/* 
	 * method returns the initial state information of the object before the animation occurs
	 */
	getInitialState: function() {
	},
	
	/* 
	 * method returns the final state information of the object before the animation occurs
	 */
	getFinalState: function() {
	},
	
	/*
	 * starting the animation - hook allows for animation to configure before playback
	 */
	startingAnimation: function() {
	},
	
	/*
	 * end of the animation - hook allows for animation to configure after playback
	 */
	endAnimation: function() {
	},
	
	/*
	 * runs a step in the animation
	 */
	runAnimationStep: function(progress) {
	}

});