/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011, 2012.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
	dojo.provide("rmps.viewlets.internal.welcome.WelcomeViewlet");

	dojo.require("com.ibm.team.dashboard.web.ui.Viewlet");
	
	dojo.requireLocalization("rmps.viewlets.internal.welcome", "WelcomeViewletMessages");
	
	var messages = dojo.i18n.getLocalization("rmps.viewlets.internal.welcome", "WelcomeViewletMessages");
	
	dojo.declare("rmps.viewlets.internal.welcome.WelcomeViewlet", com.ibm.team.dashboard.web.ui.Viewlet, {
		messages: messages,
		
		templatePath: dojo.moduleUrl("rmps.viewlets", "internal/welcome/welcome_viewlet.html"),
		
		init: function() {
			this.inherited(arguments);
			if (this.getSite().isRemote() && (this.getSite().getTitle().indexOf(messages.isRemote) == -1)) {
				this.getSite().setTitle(this.getSite().getTitle() + messages.isRemote);
			}
		},
	});

}());
