/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009, 2010.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("rmps.ui.properties.form.BasicSection");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");

dojo.declare("rmps.ui.properties.form.BasicSection", [dijit._Widget, dijit._Templated], {
	
	templateString: '<div dojoAttachPoint="containerNode"></div>',
	
	isHtml: false,
	
	value: null,
	
	postCreate: function() {
		if (this.value) {
			if (this.isHtml) {
				this.containerNode.innerHTML = this.value;
			} else {
				this.containerNode.appendChild(dojo.doc.createTextNode(this.value));
			}
		}
	}
});