/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("rmps.ui.properties.form.CheckBoxInput");

dojo.require("dijit._Templated");

dojo.require("rmps.ui.properties.form.LabeledSection");

dojo.declare("rmps.ui.properties.form.CheckBoxInput", [rmps.ui.properties.form.LabeledSection, dijit._Templated], {

	templateString: '<div class="rmps-ui-properties-form-checkBoxInput">' +
				'<input dojoAttachPoint="inputNode" type="checkbox" value="${value}" name="${name}"></input>' +
			'</div>',
			
	// mixin properties
	label: null,
	name: null,
	value: null,
	readOnly: false,
	checked: false,

	postCreate: function() {
		if (this.checked) {
			this.inputNode.checked = true;
		}
		if (this.readOnly) {
			this.inputNode.disabled = true;
		}
	}
});