/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009, 2010.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("rmps.ui.properties.form.TextInput");

dojo.require("dijit._Templated");

dojo.require("rmps.ui.properties.form.LabeledSection");

dojo.declare("rmps.ui.properties.form.TextInput", [rmps.ui.properties.form.LabeledSection, dijit._Templated], {
	
	templateString: '<div class="rmps-ui-properties-form-textInput">' +
				'<input dojoAttachPoint="inputNode" type="text" value="${value}" name="${name}"></input>' +
			'</div>',
	
	// attach points
	inputNode: null,
	
	// mixin properties
	label: null,
	name: "",
	value: "",
	readOnly: false,

	postCreate: function() {
		if (this.readOnly) {
			this.inputNode.readOnly = "readOnly";
		}
	}
	
});