/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
dojo.provide('rmpw.dsv.editor.domain.render.KentonDomainCore');

rmpw.dsv.editor.domain.render.KentonDomainCore.ExtractTypeLabel = function(rdfsRange) {
	// extract type from # character
	return rdfsRange.substring(rdfsRange.lastIndexOf('#') + 1);
};

rmpw.dsv.editor.domain.render.KentonDomainCore.BuildMultiplicityLabel = function(minCardinality, maxCardinality) {
	var label = '';
	if (minCardinality == maxCardinality) {
		label += minCardinality;
	} else {
		label += minCardinality + '..' + ((maxCardinality == -1) ? "*" : maxCardinality);
	}	
	return label;
};

rmpw.dsv.editor.domain.render.KentonDomainCore.IsURI = function(property) {
	if (property) {
		return property.rdfs_range.lastIndexOf !== undefined && property.rdfs_range.lastIndexOf('#') > 0; // check if it's a string - return false if so
	}
	
	return false;
};