/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009, 2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("rmps.web.comment.sketch.render.SVG");

dojo.require("rmps.web.comment.sketch.render.Group");
dojo.require("rmpw.diagrams.render.policies.GraphContainer");

dojo.require("rmpw.common.transform.Mapping");

dojo.declare("rmps.web.comment.sketch.render.SVG", rmps.web.comment.sketch.render.Group, {
	
	
	createPolicies: function() {
		// do not call super, will make this a GraphNode on top of GraphContainer
		var template = this.template;
		
		var color = new dojo.Color( "white" );
		color.a = 0.0001;
		
		var background = template.figure.createRect();
		background.setFill(color);
		
		var policy = this.createPolicy(rmpw.diagrams.render.policies.GraphContainer);
		policy.setBackground( background );
		policy.setFigure(template.figure);
		policy.setNodeLayer(template.figure);
		policy.setEdgeLayer(template.figure);
	}
});

