/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2013.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("rmps.core.resource.ResourceClient");

dojo.require("jazz.app.context");
dojo.require("rmps.core.RootServices");
dojo.require("rmps.core.client");

var MODELS_PATH = rmps.core.RootServices.getUri(rmps.core.Namespaces.RMPS, "models");

rmps.core.resource.ResourceClient = {
		getResourceHeaders: function(resourceUri, sync, respondWith204WhenNotFound) {
			var url = net.jazz.ajax._contextRoot + '/rdfdirectory/?logicalURI=' + encodeURIComponent(resourceUri);
			var args = {
				headers: {
						"X-ibm-rmps-internal": "true",
						"accept": "text/plain"
				},
				url: url,
				sync: sync,
				handleAs: "text",
				load: dojo.hitch(this, function(response, ioArgs)
				{
					return ioArgs;
				})
			};
			return rmps.core.client.xhrHead(args);
		}
	
};

}());