/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009, 2013. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() {

var ReviewImageService= dojo.provide("rmps.core.review.util.ReviewImageService");

ReviewImageService._BASE= "graphics/";
ReviewImageService._getImageUri= function(imgName) {
	 return dojo.moduleUrl("rmps.core.review.util", ReviewImageService._BASE + imgName);
};

ReviewImageService.REVIEW_EDITOR_ICON= ReviewImageService._getImageUri("review-editor.gif");
ReviewImageService.APPROVE= ReviewImageService._getImageUri("approve.gif");
ReviewImageService.DISAPROVE= ReviewImageService._getImageUri("disapprove.gif");
ReviewImageService.REVIEW= ReviewImageService._getImageUri("review.gif");
ReviewImageService.REVIEW_COMMENTS= ReviewImageService._getImageUri("review_comments.gif");
ReviewImageService.ABSTAIN= ReviewImageService._getImageUri("abstain.gif");
ReviewImageService.REVIEWED= ReviewImageService._getImageUri("review-reviewed.gif");
ReviewImageService.NOT_STARTED= ReviewImageService._getImageUri("rev-not-started.gif");
ReviewImageService.IN_PROGRESS= ReviewImageService._getImageUri("rev-in-progress.gif");
ReviewImageService.REV_APPROVE= ReviewImageService._getImageUri("rev-approve.gif");
ReviewImageService.REV_DISAPPROVE= ReviewImageService._getImageUri("rev-disapprove.gif");
ReviewImageService.REV_ABSTAINED= ReviewImageService._getImageUri("rev-abstain.gif");
ReviewImageService.REV_REVIEW_NO_COMMENTS= ReviewImageService._getImageUri("rev-review_no_comments.gif");
ReviewImageService.REV_REVIEW_COMMENTS= ReviewImageService._getImageUri("rev-review_comments.gif");
ReviewImageService.REV_REVIEWED= ReviewImageService._getImageUri("rev-reviewed.gif");
ReviewImageService.APPROVER_ROLE= ReviewImageService._getImageUri("role-approver.gif");
ReviewImageService.AUTHOR_ROLE= ReviewImageService._getImageUri("role-moderator.gif");
ReviewImageService.REVIEWER_ROLE= ReviewImageService._getImageUri("role-reviewer.gif");
ReviewImageService.OPTIONAL_REVIEWER_ROLE= ReviewImageService._getImageUri("role-opt-reviewer.gif");
ReviewImageService.REVIEW_DRAFT= ReviewImageService._getImageUri("review-draft.gif");
ReviewImageService.REVIEW_STARTED= ReviewImageService._getImageUri("review-inprogress.gif");
ReviewImageService.REVIEW_PAUSED= ReviewImageService._getImageUri("review-paused.gif");
ReviewImageService.REVIEW_FINALIZED= ReviewImageService._getImageUri("review-finalized.gif");
ReviewImageService.DUE_DATE_DONE= ReviewImageService._getImageUri("due-date-done.gif");
ReviewImageService.DUE_DATE= ReviewImageService._getImageUri("due-date.gif");
ReviewImageService.OVERDUE= ReviewImageService._getImageUri("due-date-done.gif");
ReviewImageService.MYDECISION= ReviewImageService._getImageUri("review-my_decision.gif");
ReviewImageService.RESET= ReviewImageService._getImageUri("review-reset.gif");
ReviewImageService.STATUS_DETAILS= ReviewImageService._getImageUri("review-status_details.gif");
ReviewImageService.SYNC_COMMENT= ReviewImageService._getImageUri("review-sync_with_comments.gif");
ReviewImageService.REVIEW_OVERALL= ReviewImageService._getImageUri("review-overall.gif");
ReviewImageService.CHANGE_PARTICIPANT_ROLE= ReviewImageService._getImageUri("change_partiaipant_role.gif");
ReviewImageService.PREVIEW= ReviewImageService._getImageUri("preview.gif");
ReviewImageService.ABOUT= ReviewImageService._getImageUri("about.gif");
ReviewImageService.ADD= ReviewImageService._getImageUri("add.gif");
ReviewImageService.EDIT= ReviewImageService._getImageUri("edit.gif");
ReviewImageService.REMOVE= ReviewImageService._getImageUri("remove.gif");
ReviewImageService.FILTER= ReviewImageService._getImageUri("filter.gif");
ReviewImageService.REVIEWS= ReviewImageService._getImageUri("reviews.gif");
ReviewImageService.RES_NOT_EXIST= ReviewImageService._getImageUri("resource-not-exist.gif");

})();