/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function(){
    dojo.provide("rmps.ui.sections.CollapsibleSectionHeader");
   
    dojo.require("rmps.ui.sections.SectionHeader"); 
    dojo.require("rmps.ui.CollapsibleSection");
    
    dojo.require("dojo.i18n");
    dojo.requireLocalization("rmps.ui.sections", "CollapsibleSectionHeaderMessages");
	
	var messages= dojo.i18n.getLocalization("rmps.ui.sections", "CollapsibleSectionHeaderMessages");
	
    dojo.declare("rmps.ui.sections.CollapsibleSectionHeader", rmps.ui.sections.SectionHeader, {
    	
    	getSection:function(args, scope, table){
    		return new rmps.ui.CollapsibleSection({
                primaryTitle: args.sectionTitle,
                secondaryTitle: args.secondarySectionTitle,
                uaKey: this.getUAKey()
            });
    	}
    });
})();
