/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function(){
    dojo.provide("rmps.ui.sections.DescriptionHeader");

    dojo.require("rmps.ui.sections.IHeader");

    dojo.declare("rmps.ui.sections.DescriptionHeader", [rmps.ui.sections.IHeader, dijit._Widget], {

    	"class": "rmps-app-DescriptionHeader",

		/*
    	 * Expected args paramaters:
    	 * 		sectionDescription: The description message
    	 */
		createHeader: function(table, scope, args){
            var description= args.sectionDescription;
            var div = dojo.doc.createElement("div");
            if (dojo.isString(description)) {
                div.innerHTML = description;
            }
			this.domNode.appendChild(div);
            return this;
		}

    });

})();
