/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2012, 2013.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/

dojo.provide("rmps.diagram.ui.Configuration");

dojo.require("rmps.diagram.ui.DiagramStore");
dojo.require("rmps.diagram.ui.DiagramConfiguration");
dojo.require("rmpw.diagrams.render.Configuration");
dojo.require("rmps.diagram.data.JtsRdfStore");
dojo.require("rmps.domains.diagrams.layout.GraphConfigurator");

dojo.declare("rmps.diagram.ui.Configuration", [rmpw.diagrams.render.Configuration], {
   commandList: [],
   diagramActions: null,
   nodeActions: null,
   edgeActions: null,
   useCamera: true,
   //replace this to test with Auth enabled RDF backed  
   store: rmps.diagram.ui.DiagramStore,
   interpretation: null,
   graphConfigurator: rmps.domains.diagrams.layout.GraphConfigurator
});    
