/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
 
(function(){

dojo.provide("rmps.graphics.ui.LabelWidget");

dojo.declare("rmps.graphics.ui.LabelWidget", [dijit._Widget, dijit._Templated], {    	

	templateString: '<div dojoAttachPoint="labelNode" style="display:inline;vertical-align:middle;font-size:8pt;padding-left:5px;">',
	
	postCreate: function(){
		this.inherited(arguments);
	},
	
	setLabel: function( value ){
		if (this.labelNode) {
			this.labelNode.innerHTML = value;
		}
	}
	
});

})();