/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010, 2011.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("rmps.app.ui.ProjectLinkingEditorUtil");

rmps.app.ui.ProjectLinkingEditorUtil = {

	basicPrefix: "#action=rmps.app.settings.",

	projectManagement: "projectManagement",

	baseUrl: "#action=rmps.app.settings.projectManagement",

	projectManagementLinkType: "#action=rmps.app.settings.projectManagement&linkType=",

	new_link_type: "newLinkType",

	process: {

		Operations: {
			LINK_TYPE: "com.ibm.xtools.rmps.process.operations.link.type"
		},

		Actions: {
			CREATE: "create",
			DELETE: "delete",
			MODIFY: "modify"
		}
	},

	createLinkType: function() {
		window.location.href = this.projectManagementLinkType+ this.new_link_type;
	}

};

})();