/*
 *+------------------------------------------------------------------------+
 *| Licensed Materials - Property of IBM                                   |
 *|                                                                        |
 *| com.ibm.xtools.rmps.web.analysis                                       |
 *|                                                                        |
 *| Copyright IBM Corporation 2011, 2012.  All Rights Reserved.            |
 *|                                                                        |
 *| US Government Users Restricted Rights - Use, duplication or disclosure |
 *| restricted by GSA ADP Schedule Contract with IBM Corp.                 |
 *+------------------------------------------------------------------------+
 */
(function() {
dojo.provide("dm.app.analysis.ui.internal.application.AnalysisPageController");

/** The controller handles the base analysis page actions
 *  (e.g., the default and welcome actions).
 *  
 *  @author Kevin Cornell
 */

dojo.require("dm.app.analysis.ui.internal.util.AnalysisBaseController");

dojo.require("dm.app.analysis.ui.internal.application.AnalysisActions");
var AnalysisActions = dm.app.analysis.ui.internal.application.AnalysisActions;


dojo.declare("dm.app.analysis.ui.internal.application.AnalysisPageController", 
		dm.app.analysis.ui.internal.util.AnalysisBaseController, {

	_default: function(args) {
		this.openActionEditor({ action: AnalysisActions.ACTION_PREFIX + AnalysisActions.ACTION_WELCOME });
	},

	/** Analysis Welcome page */
	welcome: function(args) {
		this.openActionEditor(args);
	}

});


})();
