/*
 *+------------------------------------------------------------------------+
 *| Licensed Materials - Property of IBM                                   |
 *|                                                                        |
 *| com.ibm.xtools.rmps.web.reports                                        |
 *|                                                                        |
 *| Copyright IBM Corporation 2011.  All Rights Reserved.                  |
 *|                                                                        |
 *| US Government Users Restricted Rights - Use, duplication or disclosure |
 *| restricted by GSA ADP Schedule Contract with IBM Corp.                 |
 *+------------------------------------------------------------------------+
 */

(function() {
dojo.provide("dm.app.reports.ui.internal.application.ReportPageController");

/** Define the controller for the actions associated with the analysis
 *  Reports application.
 *  
 *  @author Kevin Cornell
 */

dojo.require("dm.app.analysis.ui.internal.util.AnalysisBaseController");

dojo.declare("dm.app.reports.ui.internal.application.ReportPageController", 
		dm.app.analysis.ui.internal.util.AnalysisBaseController, {
	
    reports_createReport: function(args) {
		this.openActionEditor(args);
	},
	
	reports_deployTemplates: function(args) {
		this.openActionEditor(args);
	},
	
	reports_editReport: function(args) {
		this.openActionEditor(args);
	},
	
	reports_editTemplate: function(args) {
		this.openActionEditor(args);
	},
	
	reports_viewReports: function(args) {
		this.openActionEditor(args);
	},
	 
	reports_viewTemplates: function(args) {
		this.openActionEditor(args);
	}
	
});


})();
