/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011, 2014.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	validationError: "Errors in Query", //!SERVICE
	emptyViewpointTitleError: "You must specify a value for the Explorer Viewpoint title", //!SERVICE
	newExplorerViewpointTitle: "Explorer Viewpoint Title",
	tabRootQuery: "Explorer Viewpoint Root",
	tabChildQueries: "Explorer Node Content Definitions",
	saveExplorerViewpoint: "Saving Explorer Viewpoint",
	statusLinkLabel: "Explorer Viewpoints",	
	
	// Child query section
	close: "Close",
	
	// Viewpoint segment
	saveQueryTask: "Saving Queries",
	
	// Child query tab
	// 0 - the type name 
	saveChildQueryTask: "Saving Explorer Node Content Definition for ${0}",
	
	// Child query tab
	helpText: "Drag and Drop an element from the Explorer to add a query based on its type.",
	addTypeButtonLabel: "Add/Remove Explorer Node Content Definitions",
	addTypeButtonLabelLoading: "Add/Remove Explorer Node Content Definitions - Loading...",
	
	// Query section
	query: "Query",
	addQueryLabel: "Add Query",
	
	// Groups
	addGroupLabel: "Add Group",
	group: "Group",
	
	// Header
	name: "Name",
	description: "Description",
	description_no_value: "Click here to enter a description",
	
	// Validation errors
	errorNoQueryOrGroup: "There needs to be either a query, or at least one group defined." , //!SERVICE
	
	// supertypeChoice
	intersection: "intersection",
	union: "union",
	none: "none",
	
	intersection_hint: "Show the query results that are shared between the node and superclasses of the node",
	union_hint: "Show the query results for both the node and superclasses of the node",
	none_hint: "Show the query results for the node",
	
	
	loading: "Loading...",
	
	createACopy: "Copy Viewpoint",
	
	selectTypesDialogTitle: "Select Types for Explorer Node Content Definitions",
	unselectedTypesLabel: "Available Types",
	selectedTypesLabel: "Types of Existing Definitions"
	
})