/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010, 2011.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function(){
    dojo.provide("rmps.app.ui.internal.editors.views.DetailedIncomingLinksSection");

	dojo.require("rmps.app.ui.internal.editors.views.LinksSection");
	dojo.require("rmps.app.ui.internal.editors.views.link.LinkClient");
	var LinkClient = rmps.app.ui.internal.editors.views.link.LinkClient;

    dojo.declare("rmps.app.ui.internal.editors.views.DetailedIncomingLinksSection", rmps.app.ui.internal.editors.views.LinksSection, {


        showExternalLinks: function(){
        	return false;
        },

        showCategories: function(data){
        	return true;
        },

		enableDescription: function(){
        	return false;
        },

        addStyleToTableData: function(td, value, data){
        	td.style.paddingLeft= "30px";
        }
    });

})();
