/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009, 2011.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("rmps.app.ui.internal.pages.SideNavigationContextContents");

dojo.require("rmps.app.ui.internal.pages.design.ContextSelectionMenu");
dojo.require("dijit._Widget");
dojo.require("dijit._Templated");

rmps.app.ui.internal.pages.SideNavigationContextContents= {
	
	createBaselineNavigationContent: function(sideNavigation){
		// Add baseline picker section
		sideNavigation._layout.addNavigationSection(new rmps.app.ui.internal.pages.SideNavigationContextContents._ContextPickerSection(), null, false);
	}
}
})();

dojo.requireLocalization("rmps.app.ui.internal.pages", "SideNavigationContextContentsMessages");
var messages = dojo.i18n.getLocalization("rmps.app.ui.internal.pages", "SideNavigationContextContentsMessages");

dojo.declare("rmps.app.ui.internal.pages.SideNavigationContextContents._ContextPickerSection", [dijit._Widget, dijit._Templated], {

	messages: messages,
	templateString: '<div style="margin-top:11px;margin-left:12px">' +
						'<span dojoAttachPoint="title" class="navSection-title">${messages.contextTitle}</span>' +
						'<div dojoAttachPoint="_pickerContainer"></div>' +
					'</div>',
					
	postCreate: function() {	
		var pickerWidget = new rmps.app.ui.internal.pages.design.ContextSelectionMenu({ 
//			context: jazz.app.context.get().baseline,
//			baselineFilter: "completed",
//			baselineComparator: function (a, b) {
//				return a.timestamp < b.timestamp ? 1 : a.timestamp == b.timestamp ? 0 : -1;
//			},
			showTooltip: true
		});
		this._pickerContainer.appendChild(pickerWidget.domNode);
	}

});