/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("rmps.app.ui.internal.pages.design.OwlImportEditorInput");

dojo.require("rmps.app.ui.internal.pages.design.DesignUtil");
dojo.require("rmps.ui.editor.EditorInput");
dojo.require("dojox.encoding.digests.MD5");

dojo.require("dojo.i18n");

dojo.requireLocalization("rmps.app.ui.internal.pages.design", "ImportMessages");
var messages = dojo.i18n.getLocalization("rmps.app.ui.internal.pages.design", "ImportMessages");

dojo.declare("rmps.app.ui.internal.pages.design.OwlImportEditorInput", rmps.ui.editor.EditorInput, {
	
	resourceInfo: null,
	
	constructor: function(params) {
		if(params){
			this.resourceInfo = { uri: params.uri };
		}
	},
	
	getId: function() {
		return dojox.encoding.digests.MD5(this.declaredClass + ',OwlImportEditorInput');
	},
	
	getBreadcrumbUri: function(uri) {
		return rmps.app.ui.internal.pages.design.DesignUtil.getImportResourceUri(uri);
	},
	
	getName: function() {
		return messages.owleditorName;
	}
});

}());
