/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2013. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
'introHeading': "Set up your Jazz server",

'primaryIntro': "Configure the Design Management Server. This Setup wizard guides you through the server configuration process and performs several important functions, such as setting up the user registry and creating a project area.",

'secondaryIntro': "<b>Important:</b> Use the default USER ID and password of ADMIN (for both) the first time you connect to this server.",

'stepIntroTitle': "Set up the Design Management server",

'jfsInformation': "Design Management Server Information", //!SERVICE
'jfsUrlField': "Server URL",

'jfsUrlDescription': "Enter the URL of the server: \"https://{server}:portNumber/dm\") Replace hostname with your server hostname and replace the port number.",

'projectNameField': "Project Area Name",

'loadingMessage': "Loading...",

'projectNameDescription': "Enter The name of the default jazz project that will be created.",

'jfsAdminDescription': "After you click Next, you will log into the Jazz server so you can configure it using the Jazz Server setup wizard. You return to the Design Management server setup wizard after you complete the Jazz Server setup wizard.",
'JfsAdminLoginDescription': "Use username ADMIN and password ADMIN the first time you connect to this Jazz server.",

'frontingConfiguration': "Design Management Server Configuration",
'primaryConfigure': "Configure the Design Management server.",
'stepConfigureTitle': "Configure the Design Management server",
'configureButton': "Configure",
'applyTemplateButton': "Apply Process Template",
'configureDescription': "Configure the Design Management Server. The repository is configured and existing data is preserved.",

'Configuration_Setup_Failed' : "The setup failed.", 

'Configuration_Setup_Completed' : "You have completed the setup process successfully.",
'Configuration_Running' : "Please wait until the Design Management server is configured.",

'jrsUrl': "Server URL",
'jrsUser': "User ID",
'jrsPassword': "Password",
'propertyLabel': "Property",
'valueLabel': "Value",
'descriptionLabel': "Description",
'actionLabel': "Action",

'clickNext': "Click Next to continue.",
'Yes': "Yes",
'No': "No",

'Configuration_Authentication_Failed': "Authentication failed. Verify that pop-up windows are not blocked.",
"loginPopupBlockedTitle": "Login pop-up blocked",
"loginPopupBlocked": "It appears that your browser has blocked the log in pop-up. Click here to continue: ",
"login": "Log in",

'setServerDescription': 'Setup has completed. After you create a project area and create users, and then click Finish, you are logged out of the setup wizard and are prompted to log back in to the Design Management server so you can import a model. Refer to the model import online help for details.',
'nextStepExplainationDescription': 'Click Next if you want to configure the server beyond what you set up using the installation wizard.',

'setServerResources': "You can import Design Management process template.",

'configurationCompletedDescription': "Setup has completed. After you create a project area and create users, and then click Finish, you are logged out of the setup wizard and are prompted to log back in to the Design Management server so you can import a model. Refer to the model import online help for details.",
'stepResourceTitle': "Finalize Application",
'importProcessTemplate': "Process Template",
'defaultProjectfield': "Project Name",
'redirectionsTitle': "Creating a project area and defining users",
'redirectionsStep': "Note that you have used the wizard to setup the Design Management server, you can create a project area and then create users for the project. Use the Create a Project Area button to go to the Jazz server Project Area Management tab so you can create a project area to contain your models and related resources. Use the Create Users button to go to the Project Area Management tab so you can create users with specific roles, permissions, and licenses. After you create users, remember to add them to the project",
'redirectionsInfo': "You can also access https://{hostname}:portNumber/jazz/admin (replace hostname with your server hostname and replace the port number) if you want to make other admin-related changes. The buttons below are shortcuts to the tabs you need to create a project area and to create users you can add to the project.", //!SERVICE

'projectAreaLabel': "Create a Project Area",
'projectAreaDescription': "allows you to define a repository to store your models.",
'projectAreaTitle': "Create a Project Area",
'projectButton': "Create a Project Area",

'userLabel': "Create Users",
'userDescription': "allows you to create specific user accounts for your project. Make sure you give the user account responsible for importing models onto the server the Rational Software Architect - Publisher client access license.",
'userTitle': "Create Users",
'userButton': "Create Users",

'mainAppLabel': "View Rational Software Architect models on the web",
'mainAppDescription': "once you import your Rational Software Architect models to the model server, you can view your models and related resources on the Models tab of the web user interface.",
'mainAppTitle': "View Rational Software Architect models on the web",
'mainAppButton': "View Rational Software Architect models on the web",


'viewProgress': 'View Progress',
"finalizeStepDescription": 'To finalize the setup of this application, click the "Finalize Application" button below.  At the end of the setup wizard, this application can be administered here, <Insert Public Root URI minus /jts here>/dm/web.',
"configureProjectDescription": '',

'finalizeTitle': 'Finalize Application',
'finalizeDescription': 'To finalize the setup of this application, click the "Finalize Application" button below.  At the end of the setup wizard, this application can be administered here, /dm/web.',
'finalizeApplyLicense': 'Apply Functional User License',
'finalizeApplyLicenseDescription': 'The functional user is given a license to be able to execute requests in Jazz Team Server.',
'finalizeImportProcessTemplate': 'Import Process Templates',
'finalizeImportProcessTemplateDescription': 'Import blank and basic process templates recommended for new project areas.',
'finalizeProvision': 'Provision Applications',
'finalizeProvisionDescription': 'Find and configure registered application extensions.',
'finalizeStorageAreasCreation': 'Create Storage Areas',
'finalizeStorageAreasCreationDescription': 'This application requires configuring Jazz Team Server with areas for storing resources.',
'finalizeConfigureVVC': 'Configure Versioning',
'finalizeConfigureVVCDescription': 'This application requires VVC for version control.',

'noSampleProjects': 'There are no samples to install.'
	
})
