/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011, 2014.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
	dojo.provide("com.ibm.team.vvc.shared.core.ui.objects.Mapping");

	dojo.require("com.ibm.team.vvc.shared.core.ui.objects.Constants");
	var Constants = com.ibm.team.vvc.shared.core.ui.objects.Constants;
	
	dojo.require("com.ibm.team.vvc.shared.core.ui.objects.VvcObject");

	dojo.declare("com.ibm.team.vvc.shared.core.ui.objects.Mapping",
			com.ibm.team.vvc.shared.core.ui.objects.VvcObject, {

		getFrontServiceId: function() {
			return "mappings";
		},

		getConcept: function() {
			return this.getProperty(Constants.CONCEPT);
		},

		getVersion: function() {
			return this.getProperty(Constants.VERSION);
		},

		getPoint: function() {
			return this.getProperty(Constants.POINT);
		},
		
		setConcept: function(value) {
			return this.setProperty(Constants.CONCEPT, value);
		},
		
		setVersion: function(value) {
			return this.setProperty(Constants.VERSION, value);
		},

		setPoint: function(value) {
			return this.setProperty(Constants.POINT, value);
		}

	});
})();