/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2012, 2014.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
	dojo.provide("com.ibm.team.vvc.shared.core.ui.objects.Setting");

	dojo.require("com.ibm.team.vvc.shared.core.ui.objects.Constants");
	var Constants = com.ibm.team.vvc.shared.core.ui.objects.Constants;
	
	dojo.require("com.ibm.team.vvc.shared.core.ui.objects.VvcObject");

	dojo.declare("com.ibm.team.vvc.shared.core.ui.objects.Setting",
			com.ibm.team.vvc.shared.core.ui.objects.VvcObject, {

		getFrontServiceId: function() {
			return "settings";
		},
		
		getData: function() {
			return dojo.fromJson(this.getProperty(Constants.SPACE_MAP_DATA));
		},
		
		setData: function(value) {
			return this.setProperty(Constants.SPACE_MAP_DATA, dojo.toJson(value));
		},
				
		save: function() {
			return this.doSave();
		}
	});
})();