/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("rmps.app.ui.properties.ResourceEditorLink");

dojo.require("rmps.ui.properties.form.LabeledSection");

dojo.require("rmps.app.core.util");

dojo.declare("rmps.app.ui.properties.ResourceEditorLink", [rmps.ui.properties.form.LabeledSection], {
	
	baseClass: "rmps-app-ui-properties-resourceEditorLink",
	
	// properties
	linkNode: null,
	
	// mixin properties
	label: null,
	name: null,
	resourceUri: null,

	postCreate: function() {
		this.linkNode = dojo.doc.createElement("a");
		this.linkNode.appendChild(dojo.doc.createTextNode(this.name));
		this.linkNode.href = rmps.app.core.util.getViewResourceUri(this.resourceUri);
		
		this.containerNode.appendChild(this.linkNode);
	}
	
});