/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("rmpw.diagrams.layout.client.util.AbstractSet");
dojo.require("rmpw.diagrams.layout.client.util.AbstractCollection");

equals_8 = function(o){
  var iter, other, otherItem;
  if ((o == null?null:o) === this) {
    return true;
  }
  if (!(o != null && canCast(o.typeId$, 27))) {
    return false;
  }
  other = dynamicCast(o, 27);
  if (other.size_0() != this.size_0()) {
    return false;
  }
  for (iter = other.iterator(); iter.hasNext();) {
    otherItem = iter.next();
    if (!this.contains(otherItem)) {
      return false;
    }
  }
  return true;
};

getClass_38 = function(){
  return Ljava_util_AbstractSet_2_classLit;
};

hashCode_9 = function(){
  var hashCode, iter, next;
  hashCode = 0;
  for (iter = this.iterator(); iter.hasNext();) {
    next = iter.next();
    if (next != null) {
      hashCode += hashCode__devirtual$(next);
      hashCode = ~~hashCode;
    }
  }
  return hashCode;
};

AbstractSet = function(){
};

_ = AbstractSet.prototype = new AbstractCollection();
_.equals$ = equals_8;
_.getClass$ = getClass_38;
_.hashCode$ = hashCode_9;
_.typeId$ = 24;

dojo.declare("rmpw.diagrams.layout.client.util.AbstractSet", null, {

});