/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("rmpw.diagrams.layout.client.util.HashSet");
dojo.require("rmpw.diagrams.layout.client.util.AbstractHashMap");

$HashSet = function(this$static){
	  this$static.map = $HashMap(new HashMap());
	  return this$static;
	};

	$HashSet_0 = function(this$static, c){
	  this$static.map = $HashMap_0(new HashMap(), c.map.size);
	  $addAll(this$static, c);
	  return this$static;
	};

	$HashSet_1 = function(this$static, initialCapacity){
	  this$static.map = $HashMap_0(new HashMap(), initialCapacity);
	  return this$static;
	};

	$add_1 = function(this$static, o){
	  var old;
	  old = $put(this$static.map, o, this$static);
	  return old == null;
	};

	add_7 = function(o){
	  var old;
	  return old = $put(this.map, o, this) , old == null;
	};

	contains_6 = function(o){
	  return $containsKey(this.map, o);
	};

	getClass_53 = function(){
	  return Ljava_util_HashSet_2_classLit;
	};

	isEmpty_3 = function(){
	  return this.map.size == 0;
	};

	iterator_5 = function(){
	  var outerIter;
	  return outerIter = $AbstractHashMap$EntrySetIterator(new AbstractHashMap$EntrySetIterator(), $keySet(this.map).val$entrySet.this$0) , $AbstractMap$1$1(new AbstractMap$1$1(), outerIter);
	};

	remove_12 = function(o){
	  return $remove_0(this.map, o) != null;
	};

	size_8 = function(){
	  return this.map.size;
	};

	toString_14 = function(){
	  return $toString_0($keySet(this.map));
	};

	HashSet = function(){
	};

	_ = HashSet.prototype = new AbstractSet();
	_.add_0 = add_7;
	_.contains = contains_6;
	_.getClass$ = getClass_53;
	_.isEmpty = isEmpty_3;
	_.iterator = iterator_5;
	_.remove_1 = remove_12;
	_.size_0 = size_8;
	_.toString$ = toString_14;
	_.typeId$ = 42;
	_.map = null;

dojo.declare("rmpw.diagrams.layout.client.util.HashSet", null, {

});