/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function(){
	/*
	 * Useful constants Links
	*/
	dojo.provide("rmps.core.util.ILinksConstants");
	var ILinksConstants = rmps.core.util.ILinksConstants;

	ILinksConstants.SYSTEM_DEFINED = "systemDefined";	//$NON-NLS-1$
	ILinksConstants.USER_DEFINED = "userDefined";	//$NON-NLS-1$
	
	ILinksConstants.EXTERNAL_LINK_TYPE = "http://jazz.net/ns/dm/linktypes#external"; //$NON-NLS-1$
	ILinksConstants.EXTERNAL_LINK_TYPE_TITLE = "External Web Page"; //$NON-NLS-1$
	
	ILinksConstants.LINKS = "links";	//$NON-NLS-1$
	ILinksConstants.LINK_TYPES = "linktypes";	//$NON-NLS-1$

	ILinksConstants.DMLinkType = {
		PREFIX: "dmlinktype",	//$NON-NLS-1$
		NAMESPACE: "http://jazz.net/ns/dm/linktypes#"	//$NON-NLS-1$
    };
})();
