/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011, 2013.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("rmpw.diagrams.layout.client.util.Object");

$clinit_4 = function(){
  $clinit_4 = nullMethod;
  expandoNames_0 = [];
  expandoValues_0 = [];
  initExpandos(new Array_0(), expandoNames_0, expandoValues_0);
};

initExpandos = function(protoType, expandoNames, expandoValues){
  var i = 0, value;
  for (var name_0 in protoType) {
    if (value = protoType[name_0]) {
      expandoNames[i] = name_0;
      expandoValues[i] = value;
      ++i;
    }
  }
};

wrapArray = function(array, expandoNames, expandoValues){
  $clinit_4();
  for (var i = 0, c = expandoNames.length; i < c; ++i) {
    array[expandoNames[i]] = expandoValues[i];
  }
};

var expandoNames_0, expandoValues_0;
canCast = function(srcId, dstId){
  return srcId && !!typeIdArray[srcId][dstId];
};

canCastUnsafe = function(srcId, dstId){
  return srcId && typeIdArray[srcId][dstId];
};

dynamicCast = function(src, dstId){
  if (src != null && !canCastUnsafe(src.typeId$, dstId)) {
    throw new ClassCastException();
  }
  return src;
};

dynamicCastJso = function(src){
  if (src != null && (src.typeMarker$ == nullMethod || src.typeId$ == 2)) {
    throw new ClassCastException();
  }
  return src;
};

instanceOf = function(src, dstId){
  return src != null && canCast(src.typeId$, dstId);
};

maskUndefined = function(src){
  return src == null?null:src;
};

round_int = function(x){
  return ~~Math.max(Math.min(x, 2147483647), -2147483648);
};

throwClassCastExceptionUnlessNull = function(o){
  if (o != null) {
    throw new ClassCastException();
  }
  return o;
};

var typeIdArray = [{}, {}, {1:1, 7:1, 28:1}, {2:1, 7:1}, {2:1, 7:1, 64:1}, {2:1, 7:1, 64:1}, {2:1, 7:1, 64:1}, {2:1, 7:1, 64:1}, {2:1, 7:1, 64:1}, {2:1, 7:1}, {2:1, 7:1}, {3:1, 7:1, 28:1}, {2:1, 7:1, 64:1}, {7:1}, {4:1, 7:1, 28:1}, {2:1, 7:1, 64:1}, {2:1, 7:1, 64:1}, {2:1, 7:1, 64:1}, {5:1, 7:1, 28:1}, {2:1, 7:1, 64:1}, {2:1, 7:1, 64:1}, {9:1, 10:1, 13:1}, {26:1}, {26:1}, {9:1, 10:1, 13:1, 27:1}, {9:1, 10:1, 13:1, 27:1}, {25:1}, {25:1}, {25:1}, {9:1, 10:1, 11:1, 13:1, 14:1}, {9:1, 10:1, 13:1, 27:1}, {9:1, 10:1, 13:1}, {7:1, 8:1, 9:1, 10:1, 11:1, 12:1, 13:1, 14:1, 15:1}, {9:1, 13:1}, {9:1, 13:1, 14:1}, {26:1}, {9:1, 13:1, 27:1}, {9:1, 13:1, 27:1}, {25:1}, {9:1, 13:1, 14:1, 15:1}, {2:1, 7:1, 64:1}, {7:1, 8:1, 24:1, 26:1}, {7:1, 8:1, 9:1, 10:1, 13:1, 27:1}, {25:1}, {2:1, 7:1, 64:1}, {7:1, 8:1, 9:1, 10:1, 11:1, 13:1, 14:1, 15:1}, {7:1, 8:1, 9:1, 10:1, 11:1, 13:1, 14:1, 15:1}, {42:1}, {32:1, 42:1}, {16:1}, {34:1}, {34:1}, {34:1}, {36:1}, {31:1}, {16:1, 29:1}, {35:1}, {41:1}, {41:1}, {37:1}, {34:1}, {30:1, 33:1, 34:1}, {62:1}, {36:1}, {37:1}, {63:1}, {7:1, 8:1, 40:1}, {42:1, 43:1}, {39:1}, {39:1, 44:1}, {45:1}, {46:1}, {46:1}, {17:1}, {18:1}, {7:1, 8:1, 9:1, 10:1, 11:1, 12:1, 13:1, 14:1, 15:1, 47:1}, {46:1}, {46:1}, {46:1}, {46:1}, {46:1}, {21:1}, {7:1, 8:1, 9:1, 10:1, 11:1, 12:1, 13:1, 14:1, 15:1, 20:1}, {7:1, 8:1, 9:1, 10:1, 11:1, 12:1, 13:1, 14:1, 15:1, 19:1, 20:1}, {48:1}, {39:1, 49:1}, {38:1}, {7:1, 8:1, 9:1, 10:1, 11:1, 12:1, 13:1, 14:1, 15:1}, {46:1}, {7:1, 8:1, 9:1, 10:1, 11:1, 12:1, 13:1, 14:1, 15:1, 20:1, 53:1}, {46:1}, {52:1}, {46:1}, {50:1}, {7:1, 8:1, 9:1, 10:1, 11:1, 12:1, 13:1, 14:1, 15:1}, {46:1}, {46:1}, {42:1, 51:1}, {46:1}, {21:1, 54:1}, {52:1}, {7:1, 8:1, 55:1}, {60:1}, {57:1}, {59:1}, {61:1}, {30:1, 33:1, 34:1, 58:1}, {59:1}, {56:1}, {22:1}, {23:1}, {6:1}, {6:1}, {6:1}, {6:1}, {6:1}, {6:1}, {6:1}, {6:1}, {6:1}, {6:1}, {6:1}, {6:1}, {6:1}, {6:1}, {6:1}, {6:1}, {6:1}, {6:1}];
caught = function(e){
  if (e != null && canCast(e.typeId$, 2)) {
    return e;
  }
  return $JavaScriptException(new JavaScriptException(), e);
};

add = function(a, b){
  var newHigh, newLow;
  newHigh = a[1] + b[1];
  newLow = a[0] + b[0];
  return create(newLow, newHigh);
};

addTimes = function(accum, a, b){
  if (a == 0) {
    return accum;
  }
  if (b == 0) {
    return accum;
  }
  return add(accum, create(a * b, 0));
};

compare_0 = function(a, b){
  var nega, negb;
  if (a[0] == b[0] && a[1] == b[1]) {
    return 0;
  }
  nega = a[1] < 0;
  negb = b[1] < 0;
  if (nega && !negb) {
    return -1;
  }
  if (!nega && negb) {
    return 1;
  }
  if (sub(a, b)[1] < 0) {
    return -1;
  }
   else {
    return 1;
  }
};

create = function(valueLow, valueHigh){
  var diffHigh, diffLow;
  valueHigh %= 1.8446744073709552E19;
  valueLow %= 1.8446744073709552E19;
  diffHigh = valueHigh % 4294967296;
  diffLow = Math.floor(valueLow / 4294967296) * 4294967296;
  valueHigh = valueHigh - diffHigh + diffLow;
  valueLow = valueLow - diffLow + diffHigh;
  while (valueLow < 0) {
    valueLow += 4294967296;
    valueHigh -= 4294967296;
  }
  while (valueLow > 4294967295) {
    valueLow -= 4294967296;
    valueHigh += 4294967296;
  }
  valueHigh = valueHigh % 1.8446744073709552E19;
  while (valueHigh > 9223372032559808512) {
    valueHigh -= 1.8446744073709552E19;
  }
  while (valueHigh < -9223372036854775808) {
    valueHigh += 1.8446744073709552E19;
  }
  return [valueLow, valueHigh];
};

eq = function(a, b){
  return a[0] == b[0] && a[1] == b[1];
};

fromDouble = function(value){
  if (isNaN(value)) {
    return $clinit_10() , ZERO;
  }
  if (value < -9223372036854775808) {
    return $clinit_10() , MIN_VALUE;
  }
  if (value >= 9223372036854775807) {
    return $clinit_10() , MAX_VALUE;
  }
  if (value > 0) {
    return create(Math.floor(value), 0);
  }
   else {
    return create(Math.ceil(value), 0);
  }
};

fromInt = function(value){
  var rebase, result;
  if (value > -129 && value < 128) {
    rebase = value + 128;
    $clinit_9();
    result = boxedValues[rebase];
    if (result == null) {
      result = boxedValues[rebase] = internalFromInt(value);
    }
    return result;
  }
  return internalFromInt(value);
};

internalFromInt = function(value){
  if (value >= 0) {
    return [value, 0];
  }
   else {
    return [value + 4294967296, -4294967296];
  }
};

lowBits = function(a){
  if (a[0] >= 2147483648) {
    return ~~Math.max(Math.min(a[0] - 4294967296, 2147483647), -2147483648);
  }
   else {
    return ~~Math.max(Math.min(a[0], 2147483647), -2147483648);
  }
};

mul = function(a, b){
  var a1, a2, a3, a4, b1, b2, b3, b4, res;
  if (a[0] == 0 && a[1] == 0) {
    return $clinit_10() , ZERO;
  }
  if (b[0] == 0 && b[1] == 0) {
    return $clinit_10() , ZERO;
  }
  $clinit_10();
  if (eq(a, MIN_VALUE)) {
    return multByMinValue(b);
  }
  if (eq(b, MIN_VALUE)) {
    return multByMinValue(a);
  }
  if (a[1] < 0) {
    if (b[1] < 0) {
      return mul(neg(a), neg(b));
    }
     else {
      return neg(mul(neg(a), b));
    }
  }
  if (b[1] < 0) {
    return neg(mul(a, neg(b)));
  }
  if (compare_0(a, TWO_PWR_24) < 0 && compare_0(b, TWO_PWR_24) < 0) {
    return create((a[1] + a[0]) * (b[1] + b[0]), 0);
  }
  a3 = a[1] % 281474976710656;
  a4 = a[1] - a3;
  a1 = a[0] % 65536;
  a2 = a[0] - a1;
  b3 = b[1] % 281474976710656;
  b4 = b[1] - b3;
  b1 = b[0] % 65536;
  b2 = b[0] - b1;
  res = ZERO;
  res = addTimes(res, a4, b1);
  res = addTimes(res, a3, b2);
  res = addTimes(res, a3, b1);
  res = addTimes(res, a2, b3);
  res = addTimes(res, a2, b2);
  res = addTimes(res, a2, b1);
  res = addTimes(res, a1, b4);
  res = addTimes(res, a1, b3);
  res = addTimes(res, a1, b2);
  res = addTimes(res, a1, b1);
  return res;
};

multByMinValue = function(a){
  if ((lowBits(a) & 1) == 1) {
    return $clinit_10() , MIN_VALUE;
  }
   else {
    return $clinit_10() , ZERO;
  }
};

neg = function(a){
  var newHigh, newLow;
  $clinit_10();
  if (eq(a, MIN_VALUE)) {
    return MIN_VALUE;
  }
  newHigh = -a[1];
  newLow = -a[0];
  if (newLow > 4294967295) {
    newLow -= 4294967296;
    newHigh += 4294967296;
  }
  if (newLow < 0) {
    newLow += 4294967296;
    newHigh -= 4294967296;
  }
  return [newLow, newHigh];
};

sub = function(a, b){
  var newHigh, newLow;
  newHigh = a[1] - b[1];
  newLow = a[0] - b[0];
  return create(newLow, newHigh);
};

toDouble = function(a){
  return a[1] + a[0];
};

$clinit_9 = function(){
  $clinit_9 = nullMethod;
  boxedValues = initDim(_3_3D_classLit, 127, 22, 256, 0);
};

var boxedValues;
$clinit_10 = function(){
  $clinit_10 = nullMethod;
  Math.log(2);
  MAX_VALUE = P7fffffffffffffff_longLit;
  MIN_VALUE = N8000000000000000_longLit;
  fromInt(-1);
  fromInt(1);
  fromInt(2);
  TWO_PWR_24 = P1000000_longLit;
  ZERO = fromInt(0);
};

var MAX_VALUE, MIN_VALUE, TWO_PWR_24, ZERO;

N8000000000000000_longLit = [0, -9223372036854775808];
P0_longLit = [0, 0];
P1000000_longLit = [16777216, 0];
P7fffffffffffffff_longLit = [4294967295, 9223372032559808512];

nullMethod = function(){
};

equals_3 = function(other){
  return this === (other == null?null:other);
};

getClass_17 = function(){
  return "rmpw.diagrams.layout.client.util.Object";
};

hashCode_4 = function(){
  return this.$H || (this.$H = ++sNextHashId);
};

toPowerOfTwoString = function(value, shift){
	  var bitMask, buf, bufSize, digits, pos;
	  bufSize = ~~(32 / shift);
	  bitMask = (1 << shift) - 1;
	  buf = initDim(_3C_classLit, 0, -1, bufSize, 1);
	  $clinit_33();
	  digits = digits_0;
	  pos = bufSize - 1;
	  if (value >= 0) {
	    while (value > bitMask) {
	      buf[pos--] = digits[value & bitMask];
	      value >>= shift;
	    }
	  }
	   else {
	    while (pos > 0) {
	      buf[pos--] = digits[value & bitMask];
	      value >>= shift;
	    }
	  }
	  buf[pos] = digits[value & bitMask];
	  return __valueOf(buf, pos, bufSize);
	};

toString_5 = function(){
  return (this.typeMarker$ == nullMethod || this.typeId$ == 2?this.getClass$():Lcom_google_gwt_core_client_JavaScriptObject_2_classLit).typeName + '@' + toPowerOfTwoString(this.typeMarker$ == nullMethod || this.typeId$ == 2?this.hashCode$():this.$H || (this.$H = ++sNextHashId), 4);
};

Object_0 = function(){
};

_ = Object_0.prototype = {};
_.equals$ = equals_3;
_.getClass$ = getClass_17;
_.hashCode$ = hashCode_4;
_.toString$ = toString_5;
_.toString = function(){
  return this.toString$();
}
;
_.typeMarker$ = nullMethod;
_.typeId$ = 1;

var _3Ljava_lang_Object_2_classLit = "rmpw.diagrams.layout.client.util.Object";
createForArray = function(packageName, className){
	  var clazz;
	  clazz = new Class();
	  clazz.typeName = packageName + className;
	  clazz.modifiers = 4;
	  return clazz;
	};
	createForClass = function(packageName, className){
		var clazz;
		clazz = new Class();
		clazz.typeName = packageName + className;
		return clazz;
	};

	createForInterface = function(packageName, className){
		var clazz;
		clazz = new Class();
		clazz.typeName = packageName + className;
		clazz.modifiers = 2;
		return clazz;
	};

	getClass_8 = function(){
		return Ljava_lang_Class_2_classLit;
	};

	toString_2 = function(){
		return ((this.modifiers & 2) != 0?'interface ':(this.modifiers & 1) != 0?'':'class ') + this.typeName;
	};
	Class = function(){
	};

	_ = Class.prototype = new Object_0();
	_.getClass$ = getClass_8;
	_.toString$ = toString_2;
	_.typeId$ = 0;
	_.modifiers = 0;
	_.typeName = null;
	
	equals__devirtual$ = function(this$static, other){
		return this$static.typeMarker$ == nullMethod || this$static.typeId$ == 2?this$static.equals$(other):(this$static == null?null:this$static) === (other == null?null:other);
	};

	hashCode__devirtual$ = function(this$static){
		return this$static.typeMarker$ == nullMethod || this$static.typeId$ == 2?this$static.hashCode$():this$static.$H || (this$static.$H = ++sNextHashId);
	};

	toString__devirtual$ = function(this$static){
		return this$static.typeMarker$ == nullMethod || this$static.typeId$ == 2?this$static.toString$():this$static.toString?this$static.toString():'[JavaScriptObject]';
	};

	getHashCode = function(o){
		return o.$H || (o.$H = ++sNextHashId);
	};

	var sNextHashId = 0;
	getClass_3 = function(){
		return Lcom_google_gwt_core_client_impl_StringBufferImpl_2_classLit;
	};

	StringBufferImpl = function(){
	};

	_ = StringBufferImpl.prototype = new Object_0();
	_.getClass$ = getClass_3;
	_.typeId$ = 0;
		
	_3D_classLit = createForArray('', '[D'), _3_3D_classLit = createForArray('', '[[D');
	_3C_classLit = createForArray('', '[C');
	
	equalsWithNullCheck = function(a, b){
		  return (a == null?null:a) === (b == null?null:b) || a != null && equals__devirtual$(a, b);
		};
		
dojo.declare("rmpw.diagrams.layout.client.util.Object", null, {

});